
---
title: "GetAssets"
title_tag: "example.GetAssets"
meta_desc: "Documentation for the example.GetAssets function with examples, input properties, output properties, and supporting types."
layout: api
no_edit_this_page: true
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->




## Using GetAssets {#using}

Two invocation forms are available. The direct form accepts plain
arguments and either blocks until the result value is available, or
returns a Promise-wrapped result. The output form accepts
Input-wrapped arguments and returns an Output-wrapped result.

<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="javascript,typescript">
<div class="highlight"
><pre class="chroma"><code class="language-typescript" data-lang="typescript"
><span class="k">function </span>getAssets<span class="p">(</span><span class="nx">args</span><span class="p">:</span> <span class="nx">GetAssetsArgs</span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#InvokeOptions">InvokeOptions</a></span><span class="p">): Promise&lt;<span class="nx"><a href="#result">GetAssetsResult</a></span>></span
><span class="k">
function </span>getAssetsOutput<span class="p">(</span><span class="nx">args</span><span class="p">:</span> <span class="nx">GetAssetsOutputArgs</span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#InvokeOptions">InvokeOptions</a></span><span class="p">): Output&lt;<span class="nx"><a href="#result">GetAssetsResult</a></span>></span
></code></pre></div>
</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="python">
<div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"
><span class="k">def </span>get_assets<span class="p">(</span><span class="nx">archive</span><span class="p">:</span> <span class="nx">Optional[pulumi.Archive]</span> = None<span class="p">,</span>
               <span class="nx">source</span><span class="p">:</span> <span class="nx">Optional[Union[pulumi.Asset, pulumi.Archive]]</span> = None<span class="p">,</span>
               <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.InvokeOptions">Optional[InvokeOptions]</a></span> = None<span class="p">) -&gt;</span> <span>GetAssetsResult</span
><span class="k">
def </span>get_assets_output<span class="p">(</span><span class="nx">archive</span><span class="p">:</span> <span class="nx">Optional[pulumi.Input[pulumi.Archive]]</span> = None<span class="p">,</span>
               <span class="nx">source</span><span class="p">:</span> <span class="nx">Optional[pulumi.Input[Union[pulumi.Asset, pulumi.Archive]]]</span> = None<span class="p">,</span>
               <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.InvokeOptions">Optional[InvokeOptions]</a></span> = None<span class="p">) -&gt;</span> <span>Output[GetAssetsResult]</span
></code></pre></div>
</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="go">
<div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"
><span class="k">func </span>GetAssets<span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">args</span><span class="p"> *</span><span class="nx">GetAssetsArgs</span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#InvokeOption">InvokeOption</a></span><span class="p">) (*<span class="nx"><a href="#result">GetAssetsResult</a></span>, error)</span
><span class="k">
func </span>GetAssetsOutput<span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">args</span><span class="p"> *</span><span class="nx">GetAssetsOutputArgs</span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#InvokeOption">InvokeOption</a></span><span class="p">) GetAssetsResultOutput</span
></code></pre></div>

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="csharp">
<div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public static class </span><span class="nx">GetAssets </span><span class="p">
{</span><span class="k">
    public static </span>Task&lt;<span class="nx"><a href="#result">GetAssetsResult</a></span>> <span class="p">InvokeAsync(</span><span class="nx">GetAssetsArgs</span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.InvokeOptions.html">InvokeOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span><span class="k">
    public static </span>Output&lt;<span class="nx"><a href="#result">GetAssetsResult</a></span>> <span class="p">Invoke(</span><span class="nx">GetAssetsInvokeArgs</span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.InvokeOptions.html">InvokeOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span><span class="p">
}</span></code></pre></div>
</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="java">
<div class="highlight"><pre class="chroma"><code class="language-java" data-lang="java"><span class="k">public static CompletableFuture&lt;<span class="nx"><a href="#result">GetAssetsResult</a></span>> </span>getAssets<span class="p">(</span><span class="nx">GetAssetsArgs</span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx">InvokeOptions</span><span class="p"> </span><span class="nx">options<span class="p">)</span>
<span class="c">// Output-based functions aren't available in Java yet</span>
</code></pre></div>
</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="yaml">
<div class="highlight"><pre class="chroma"><code class="language-yaml" data-lang="yaml"><span class="k">fn::invoke:</span>
<span class="k">&nbsp;&nbsp;function:</span> example:GetAssets
<span class="k">&nbsp;&nbsp;arguments:</span>
<span class="c">&nbsp;&nbsp;&nbsp;&nbsp;# arguments dictionary</span></code></pre></div>
</pulumi-choosable>
</div>



The following arguments are supported:


<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="archive_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_csharp" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="source_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_csharp" style="color: inherit; text-decoration: inherit;">Source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="archive_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_go" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="source_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_go" style="color: inherit; text-decoration: inherit;">Source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="archive_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_java" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="source_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_java" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="archive_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_nodejs" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="source_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_nodejs" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Asset | pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="archive_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_python" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="source_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_python" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Union[pulumi.<wbr>Asset, pulumi.<wbr>Archive]</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="archive_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_yaml" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="source_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_yaml" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>




## GetAssets Result {#result}

The following output properties are available:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="archive_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_csharp" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="source_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_csharp" style="color: inherit; text-decoration: inherit;">Source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="archive_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_go" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="source_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_go" style="color: inherit; text-decoration: inherit;">Source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="archive_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_java" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="source_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_java" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="archive_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_nodejs" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="source_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_nodejs" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Asset | pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="archive_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_python" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="source_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_python" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Union[pulumi.<wbr>Asset, pulumi.<wbr>Archive]</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="archive_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_yaml" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="source_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_yaml" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>





<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href="">example </a></dd>
	<dt>License</dt>
	<dd></dd>
</dl>

