
---
title: "ResourceWithAssets"
title_tag: "example.ResourceWithAssets"
meta_desc: "Documentation for the example.ResourceWithAssets resource with examples, input properties, output properties, lookup functions, and supporting types."
layout: api
no_edit_this_page: true
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->




## Create ResourceWithAssets Resource {#create}

Resources are created with functions called constructors. To learn more about declaring and configuring resources, see [Resources](/docs/concepts/resources/).

### Constructor syntax
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="javascript,typescript">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript"><span class="k">new </span><span class="nx">ResourceWithAssets</span><span class="p">(</span><span class="nx">name</span><span class="p">:</span> <span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">ResourceWithAssetsArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span><span class="p">);</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ResourceWithAssets</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
                       <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">ResourceWithAssetsArgs</a></span><span class="p">,</span>
                       <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span>
<span></span>
<span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ResourceWithAssets</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
                       <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">,</span>
                       <span class="nx">source</span><span class="p">:</span> <span class="nx">Optional[Union[pulumi.Asset, pulumi.Archive]]</span> = None<span class="p">,</span>
                       <span class="nx">archive</span><span class="p">:</span> <span class="nx">Optional[pulumi.Archive]</span> = None<span class="p">,</span>
                       <span class="nx">nested</span><span class="p">:</span> <span class="nx">Optional[TypeWithAssetsArgs]</span> = None<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func </span><span class="nx">NewResourceWithAssets</span><span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">name</span><span class="p"> </span><span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p"> </span><span class="nx"><a href="#inputs">ResourceWithAssetsArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span><span class="p">) (*<span class="nx">ResourceWithAssets</span>, error)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span><span class="nx">ResourceWithAssets</span><span class="p">(</span><span class="nx">string</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ResourceWithAssetsArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<div class="no-copy"><div class="highlight"><pre class="chroma">
<code class="language-java" data-lang="java"><span class="k">public </span><span class="nx">ResourceWithAssets</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ResourceWithAssetsArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">)</span>
<span class="k">public </span><span class="nx">ResourceWithAssets</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ResourceWithAssetsArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx">CustomResourceOptions</span><span class="p"> </span><span class="nx">options<span class="p">)</span>
</code></pre></div></div>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-yaml" data-lang="yaml">type: <span class="nx">example:ResourceWithAssets</span><span class="p"></span>
<span class="p">properties</span><span class="p">: </span><span class="c">#&nbsp;The arguments to resource properties.</span>
<span class="p"></span><span class="p">options</span><span class="p">: </span><span class="c">#&nbsp;Bag of options to control resource&#39;s behavior.</span>
<span class="p"></span>
</code></pre></div></div>
</pulumi-choosable>
</div>

#### Parameters

<div>
<pulumi-choosable type="language" values="javascript,typescript">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ResourceWithAssetsArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>resource_name</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ResourceWithAssetsArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">ResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">

<dl class="resources-properties"><dt
        class="property-optional" title="Optional">
        <span>ctx</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span>
    </dt>
    <dd>Context object for the current deployment.</dd><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ResourceWithAssetsArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ResourceWithAssetsArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ResourceWithAssetsArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>options</span>
        <span class="property-indicator"></span>
        <span class="property-type">CustomResourceOptions</span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>



### Example

The following reference example uses placeholder values for all [input properties](#inputs).
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="csharp">

```csharp
var resourceWithAssetsResource = new Example.ResourceWithAssets("resourceWithAssetsResource", new()
{
    Source = new StringAsset("content"),
    Archive = new FileArchive("./path/to/archive"),
    Nested = new Example.Inputs.TypeWithAssetsArgs
    {
        Asset = new StringAsset("content"),
        PlainArchive = new FileArchive("./path/to/archive"),
        Archive = new FileArchive("./path/to/archive"),
        PlainAsset = new StringAsset("content"),
    },
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="go">

```go
example, err := example.NewResourceWithAssets(ctx, "resourceWithAssetsResource", &example.ResourceWithAssetsArgs{
	Source:  pulumi.NewStringAsset("content"),
	Archive: pulumi.NewFileArchive("./path/to/archive"),
	Nested: &example.TypeWithAssetsArgs{
		Asset:        pulumi.NewStringAsset("content"),
		PlainArchive: pulumi.NewFileArchive("./path/to/archive"),
		Archive:      pulumi.NewFileArchive("./path/to/archive"),
		PlainAsset:   pulumi.NewStringAsset("content"),
	},
})
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="java">

```java
var resourceWithAssetsResource = new ResourceWithAssets("resourceWithAssetsResource", ResourceWithAssetsArgs.builder()        
    .source(new StringAsset("content"))
    .archive(new FileArchive("./path/to/archive"))
    .nested(TypeWithAssetsArgs.builder()
        .asset(new StringAsset("content"))
        .plainArchive(new FileArchive("./path/to/archive"))
        .archive(new FileArchive("./path/to/archive"))
        .plainAsset(new StringAsset("content"))
        .build())
    .build());
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="python">

```python
resource_with_assets_resource = example.ResourceWithAssets("resourceWithAssetsResource",
    source=pulumi.StringAsset("content"),
    archive=pulumi.FileArchive("./path/to/archive"),
    nested=example.TypeWithAssetsArgs(
        asset=pulumi.StringAsset("content"),
        plain_archive=pulumi.FileArchive("./path/to/archive"),
        archive=pulumi.FileArchive("./path/to/archive"),
        plain_asset=pulumi.StringAsset("content"),
    ))
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="typescript">

```typescript
const resourceWithAssetsResource = new example.ResourceWithAssets("resourceWithAssetsResource", {
    source: new pulumi.asset.StringAsset("content"),
    archive: new pulumi.asset.FileArchive("./path/to/archive"),
    nested: {
        asset: new pulumi.asset.StringAsset("content"),
        plainArchive: new pulumi.asset.FileArchive("./path/to/archive"),
        archive: new pulumi.asset.FileArchive("./path/to/archive"),
        plainAsset: new pulumi.asset.StringAsset("content"),
    },
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="yaml">

```yaml
type: example:ResourceWithAssets
properties:
    archive:
        fn::FileArchive: ./path/to/archive
    nested:
        archive:
            fn::FileArchive: ./path/to/archive
        asset:
            fn::StringAsset: content
        plainArchive:
            fn::FileArchive: ./path/to/archive
        plainAsset:
            fn::StringAsset: content
    source:
        fn::StringAsset: content
```

</pulumi-choosable>
</div>



## ResourceWithAssets Resource Properties {#properties}

To learn more about resource properties and how to use them, see [Inputs and Outputs](/docs/intro/concepts/inputs-outputs) in the Architecture and Concepts docs.

### Inputs

The ResourceWithAssets resource accepts the following [input](/docs/intro/concepts/inputs-outputs) properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="source_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_csharp" style="color: inherit; text-decoration: inherit;">Source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_csharp" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="nested_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#nested_csharp" style="color: inherit; text-decoration: inherit;">Nested</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#typewithassets">Type<wbr>With<wbr>Assets</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="source_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_go" style="color: inherit; text-decoration: inherit;">Source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_go" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="nested_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#nested_go" style="color: inherit; text-decoration: inherit;">Nested</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#typewithassets">Type<wbr>With<wbr>Assets<wbr>Args</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="source_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_java" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_java" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="nested_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#nested_java" style="color: inherit; text-decoration: inherit;">nested</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#typewithassets">Type<wbr>With<wbr>Assets</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="source_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_nodejs" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Asset | pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_nodejs" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="nested_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#nested_nodejs" style="color: inherit; text-decoration: inherit;">nested</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#typewithassets">Type<wbr>With<wbr>Assets</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="source_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_python" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Union[pulumi.<wbr>Asset, pulumi.<wbr>Archive]</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_python" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="nested_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#nested_python" style="color: inherit; text-decoration: inherit;">nested</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#typewithassets">Type<wbr>With<wbr>Assets<wbr>Args</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="source_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#source_yaml" style="color: inherit; text-decoration: inherit;">source</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_yaml" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="nested_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#nested_yaml" style="color: inherit; text-decoration: inherit;">nested</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#typewithassets">Property Map</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>


### Outputs

All [input](#inputs) properties are implicitly available as output properties. Additionally, the ResourceWithAssets resource produces the following output properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="asset_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_csharp" style="color: inherit; text-decoration: inherit;">Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="id_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_csharp" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="asset_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_go" style="color: inherit; text-decoration: inherit;">Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="id_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_go" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="asset_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_java" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="id_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_java" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="asset_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_nodejs" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Asset | pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="id_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_nodejs" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="asset_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_python" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Union[pulumi.<wbr>Asset, pulumi.<wbr>Archive]</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="id_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_python" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="asset_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_yaml" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset</span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="id_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_yaml" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>







## Supporting Types



<h4 id="typewithassets">
Type<wbr>With<wbr>Assets<pulumi-choosable type="language" values="python,go" class="inline">, Type<wbr>With<wbr>Assets<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="asset_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_csharp" style="color: inherit; text-decoration: inherit;">Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="plainarchive_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainarchive_csharp" style="color: inherit; text-decoration: inherit;">Plain<wbr>Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_csharp" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="plainasset_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainasset_csharp" style="color: inherit; text-decoration: inherit;">Plain<wbr>Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="asset_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_go" style="color: inherit; text-decoration: inherit;">Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="plainarchive_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainarchive_go" style="color: inherit; text-decoration: inherit;">Plain<wbr>Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_go" style="color: inherit; text-decoration: inherit;">Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="plainasset_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainasset_go" style="color: inherit; text-decoration: inherit;">Plain<wbr>Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="asset_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_java" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="plainarchive_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainarchive_java" style="color: inherit; text-decoration: inherit;">plain<wbr>Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_java" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="plainasset_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainasset_java" style="color: inherit; text-decoration: inherit;">plain<wbr>Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset<wbr>Or<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="asset_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_nodejs" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Asset | pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="plainarchive_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainarchive_nodejs" style="color: inherit; text-decoration: inherit;">plain<wbr>Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_nodejs" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="plainasset_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainasset_nodejs" style="color: inherit; text-decoration: inherit;">plain<wbr>Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.asset.<wbr>Asset | pulumi.asset.<wbr>Archive</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="asset_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_python" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Union[pulumi.<wbr>Asset, pulumi.<wbr>Archive]</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="plain_archive_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plain_archive_python" style="color: inherit; text-decoration: inherit;">plain_<wbr>archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_python" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi.<wbr>Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="plain_asset_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plain_asset_python" style="color: inherit; text-decoration: inherit;">plain_<wbr>asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Union[pulumi.<wbr>Asset, pulumi.<wbr>Archive]</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="asset_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#asset_yaml" style="color: inherit; text-decoration: inherit;">asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="plainarchive_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainarchive_yaml" style="color: inherit; text-decoration: inherit;">plain<wbr>Archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="archive_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#archive_yaml" style="color: inherit; text-decoration: inherit;">archive</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Archive</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="plainasset_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#plainasset_yaml" style="color: inherit; text-decoration: inherit;">plain<wbr>Asset</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Asset</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>


<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href="">example </a></dd>
	<dt>License</dt>
	<dd></dd>
</dl>

