
---
title: "Cat"
title_tag: "example.Cat"
meta_desc: "Documentation for the example.Cat resource with examples, input properties, output properties, lookup functions, and supporting types."
layout: api
no_edit_this_page: true
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->




## Create Cat Resource {#create}

Resources are created with functions called constructors. To learn more about declaring and configuring resources, see [Resources](/docs/concepts/resources/).

### Constructor syntax
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="javascript,typescript">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript"><span class="k">new </span><span class="nx">Cat</span><span class="p">(</span><span class="nx">name</span><span class="p">:</span> <span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p">?:</span> <span class="nx"><a href="#inputs">CatArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span><span class="p">);</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class=nd>@overload</span>
<span class="k">def </span><span class="nx">Cat</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
        <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">Optional[CatArgs]</a></span> = None<span class="p">,</span>
        <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span>
<span></span>
<span class=nd>@overload</span>
<span class="k">def </span><span class="nx">Cat</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
        <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">,</span>
        <span class="nx">age</span><span class="p">:</span> <span class="nx">Optional[int]</span> = None<span class="p">,</span>
        <span class="nx">pet</span><span class="p">:</span> <span class="nx">Optional[PetArgs]</span> = None<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func </span><span class="nx">NewCat</span><span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">name</span><span class="p"> </span><span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p"> *</span><span class="nx"><a href="#inputs">CatArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span><span class="p">) (*<span class="nx">Cat</span>, error)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span><span class="nx">Cat</span><span class="p">(</span><span class="nx">string</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">CatArgs</a></span><span class="p">? </span><span class="nx">args = null<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<div class="no-copy"><div class="highlight"><pre class="chroma">
<code class="language-java" data-lang="java"><span class="k">public </span><span class="nx">Cat</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">CatArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">)</span>
<span class="k">public </span><span class="nx">Cat</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">CatArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx">CustomResourceOptions</span><span class="p"> </span><span class="nx">options<span class="p">)</span>
</code></pre></div></div>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-yaml" data-lang="yaml">type: <span class="nx">example:Cat</span><span class="p"></span>
<span class="p">properties</span><span class="p">: </span><span class="c">#&nbsp;The arguments to resource properties.</span>
<span class="p"></span><span class="p">options</span><span class="p">: </span><span class="c">#&nbsp;Bag of options to control resource&#39;s behavior.</span>
<span class="p"></span>
</code></pre></div></div>
</pulumi-choosable>
</div>

#### Parameters

<div>
<pulumi-choosable type="language" values="javascript,typescript">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">CatArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>resource_name</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">CatArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">ResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">

<dl class="resources-properties"><dt
        class="property-optional" title="Optional">
        <span>ctx</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span>
    </dt>
    <dd>Context object for the current deployment.</dd><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">CatArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">CatArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">CatArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>options</span>
        <span class="property-indicator"></span>
        <span class="property-type">CustomResourceOptions</span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>



### Example

The following reference example uses placeholder values for all [input properties](#inputs).
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="csharp">

```csharp
var catResource = new Example.Cat("catResource", new()
{
    Age = 0,
    Pet = new Example.Inputs.PetArgs
    {
        RequiredName = randomPet,
        RequiredNameArray = new[]
        {
            randomPet,
        },
        RequiredNameMap = 
        {
            { "string", randomPet },
        },
        Age = 0,
        Name = randomPet,
        NameArray = new[]
        {
            randomPet,
        },
        NameMap = 
        {
            { "string", randomPet },
        },
    },
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="go">

```go
example, err := example.NewCat(ctx, "catResource", &example.CatArgs{
	Age: pulumi.Int(0),
	Pet: &example.PetArgs{
		RequiredName: pulumi.Any(randomPet),
		RequiredNameArray: random.RandomPetArray{
			randomPet,
		},
		RequiredNameMap: random.RandomPetMap{
			"string": pulumi.Any(randomPet),
		},
		Age:  pulumi.Int(0),
		Name: pulumi.Any(randomPet),
		NameArray: random.RandomPetArray{
			randomPet,
		},
		NameMap: random.RandomPetMap{
			"string": pulumi.Any(randomPet),
		},
	},
})
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="java">

```java
var catResource = new Cat("catResource", CatArgs.builder()        
    .age(0)
    .pet(PetArgs.builder()
        .requiredName(randomPet)
        .requiredNameArray(randomPet)
        .requiredNameMap(Map.of("string", randomPet))
        .age(0)
        .name(randomPet)
        .nameArray(randomPet)
        .nameMap(Map.of("string", randomPet))
        .build())
    .build());
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="python">

```python
cat_resource = example.Cat("catResource",
    age=0,
    pet=example.PetArgs(
        required_name=random_pet,
        required_name_array=[random_pet],
        required_name_map={
            "string": random_pet,
        },
        age=0,
        name=random_pet,
        name_array=[random_pet],
        name_map={
            "string": random_pet,
        },
    ))
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="typescript">

```typescript
const catResource = new example.Cat("catResource", {
    age: 0,
    pet: {
        requiredName: randomPet,
        requiredNameArray: [randomPet],
        requiredNameMap: {
            string: randomPet,
        },
        age: 0,
        name: randomPet,
        nameArray: [randomPet],
        nameMap: {
            string: randomPet,
        },
    },
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="yaml">

```yaml
type: example:Cat
properties:
    age: 0
    pet:
        age: 0
        name: ${randomPet}
        nameArray:
            - ${randomPet}
        nameMap:
            string: ${randomPet}
        requiredName: ${randomPet}
        requiredNameArray:
            - ${randomPet}
        requiredNameMap:
            string: ${randomPet}
```

</pulumi-choosable>
</div>



## Cat Resource Properties {#properties}

To learn more about resource properties and how to use them, see [Inputs and Outputs](/docs/intro/concepts/inputs-outputs) in the Architecture and Concepts docs.

### Inputs

The Cat resource accepts the following [input](/docs/intro/concepts/inputs-outputs) properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="age_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_csharp" style="color: inherit; text-decoration: inherit;">Age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="pet_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#pet_csharp" style="color: inherit; text-decoration: inherit;">Pet</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#pet">Pet</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="age_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_go" style="color: inherit; text-decoration: inherit;">Age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="pet_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#pet_go" style="color: inherit; text-decoration: inherit;">Pet</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#pet">Pet<wbr>Args</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="age_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_java" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Integer</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="pet_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#pet_java" style="color: inherit; text-decoration: inherit;">pet</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#pet">Pet</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="age_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_nodejs" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="pet_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#pet_nodejs" style="color: inherit; text-decoration: inherit;">pet</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#pet">Pet</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="age_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_python" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="pet_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#pet_python" style="color: inherit; text-decoration: inherit;">pet</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#pet">Pet<wbr>Args</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="age_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_yaml" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="pet_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#pet_yaml" style="color: inherit; text-decoration: inherit;">pet</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#pet">Property Map</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>


### Outputs

All [input](#inputs) properties are implicitly available as output properties. Additionally, the Cat resource produces the following output properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_csharp" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="name_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_csharp" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_go" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="name_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_go" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_java" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="name_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_java" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_nodejs" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="name_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_nodejs" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_python" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_python" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_yaml" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="name_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_yaml" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>







## Supporting Types



<h4 id="pet">
Pet<pulumi-choosable type="language" values="python,go" class="inline">, Pet<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="requiredname_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requiredname_csharp" style="color: inherit; text-decoration: inherit;">Required<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-required"
            title="Required">
        <span id="requirednamearray_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamearray_csharp" style="color: inherit; text-decoration: inherit;">Required<wbr>Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;Pulumi.<wbr>Random.<wbr>Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="requirednamemap_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamemap_csharp" style="color: inherit; text-decoration: inherit;">Required<wbr>Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dictionary&lt;string, Pulumi.<wbr>Random.<wbr>Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="age_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_csharp" style="color: inherit; text-decoration: inherit;">Age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_csharp" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-optional"
            title="Optional">
        <span id="namearray_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namearray_csharp" style="color: inherit; text-decoration: inherit;">Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;Pulumi.<wbr>Random.<wbr>Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="namemap_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namemap_csharp" style="color: inherit; text-decoration: inherit;">Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dictionary&lt;string, Pulumi.<wbr>Random.<wbr>Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="requiredname_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requiredname_go" style="color: inherit; text-decoration: inherit;">Required<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-required"
            title="Required">
        <span id="requirednamearray_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamearray_go" style="color: inherit; text-decoration: inherit;">Required<wbr>Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="requirednamemap_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamemap_go" style="color: inherit; text-decoration: inherit;">Required<wbr>Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="age_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_go" style="color: inherit; text-decoration: inherit;">Age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_go" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-optional"
            title="Optional">
        <span id="namearray_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namearray_go" style="color: inherit; text-decoration: inherit;">Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="namemap_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namemap_go" style="color: inherit; text-decoration: inherit;">Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="requiredname_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requiredname_java" style="color: inherit; text-decoration: inherit;">required<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-required"
            title="Required">
        <span id="requirednamearray_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamearray_java" style="color: inherit; text-decoration: inherit;">required<wbr>Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="requirednamemap_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamemap_java" style="color: inherit; text-decoration: inherit;">required<wbr>Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String,Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="age_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_java" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Integer</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_java" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-optional"
            title="Optional">
        <span id="namearray_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namearray_java" style="color: inherit; text-decoration: inherit;">name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="namemap_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namemap_java" style="color: inherit; text-decoration: inherit;">name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String,Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="requiredname_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requiredname_nodejs" style="color: inherit; text-decoration: inherit;">required<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-required"
            title="Required">
        <span id="requirednamearray_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamearray_nodejs" style="color: inherit; text-decoration: inherit;">required<wbr>Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet[]</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="requirednamemap_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamemap_nodejs" style="color: inherit; text-decoration: inherit;">required<wbr>Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">{[key: string]: pulumi<wbr>Random<wbr>Random<wbr>Pet}</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="age_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_nodejs" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_nodejs" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-optional"
            title="Optional">
        <span id="namearray_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namearray_nodejs" style="color: inherit; text-decoration: inherit;">name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet[]</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="namemap_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namemap_nodejs" style="color: inherit; text-decoration: inherit;">name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">{[key: string]: pulumi<wbr>Random<wbr>Random<wbr>Pet}</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="required_name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#required_name_python" style="color: inherit; text-decoration: inherit;">required_<wbr>name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi_<wbr>random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-required"
            title="Required">
        <span id="required_name_array_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#required_name_array_python" style="color: inherit; text-decoration: inherit;">required_<wbr>name_<wbr>array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Sequence[pulumi_<wbr>random.<wbr>Random<wbr>Pet]</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="required_name_map_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#required_name_map_python" style="color: inherit; text-decoration: inherit;">required_<wbr>name_<wbr>map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Mapping[str, pulumi_<wbr>random.<wbr>Random<wbr>Pet]</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="age_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_python" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_python" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi_<wbr>random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_array_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_array_python" style="color: inherit; text-decoration: inherit;">name_<wbr>array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Sequence[pulumi_<wbr>random.<wbr>Random<wbr>Pet]</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_map_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_map_python" style="color: inherit; text-decoration: inherit;">name_<wbr>map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Mapping[str, pulumi_<wbr>random.<wbr>Random<wbr>Pet]</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="requiredname_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requiredname_yaml" style="color: inherit; text-decoration: inherit;">required<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">random:Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-required"
            title="Required">
        <span id="requirednamearray_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamearray_yaml" style="color: inherit; text-decoration: inherit;">required<wbr>Name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;random:Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-required"
            title="Required">
        <span id="requirednamemap_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#requirednamemap_yaml" style="color: inherit; text-decoration: inherit;">required<wbr>Name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;random:Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="age_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#age_yaml" style="color: inherit; text-decoration: inherit;">age</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="name_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_yaml" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">random:Random<wbr>Pet</span>
    </dt>
    <dd>This type is defined in the <a href="/registry/packages/random">random</a> package.</dd><dt class="property-optional"
            title="Optional">
        <span id="namearray_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namearray_yaml" style="color: inherit; text-decoration: inherit;">name<wbr>Array</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;random:Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="namemap_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namemap_yaml" style="color: inherit; text-decoration: inherit;">name<wbr>Map</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;random:Random<wbr>Pet&gt;</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>


<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href="">example </a></dd>
	<dt>License</dt>
	<dd></dd>
</dl>

