
---
title: "ConfigMapList"
title_tag: "kubernetes.core/v1.ConfigMapList"
meta_desc: "Documentation for the kubernetes.core/v1.ConfigMapList resource with examples, input properties, output properties, lookup functions, and supporting types."
layout: api
no_edit_this_page: true
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->

A Kubernetes list resource.




## Create ConfigMapList Resource {#create}

Resources are created with functions called constructors. To learn more about declaring and configuring resources, see [Resources](/docs/concepts/resources/).

### Constructor syntax
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="javascript,typescript">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript"><span class="k">new </span><span class="nx">ConfigMapList</span><span class="p">(</span><span class="nx">name</span><span class="p">:</span> <span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">ConfigMapList</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span><span class="p">);</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ConfigMapList</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
                  <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">ConfigMapListArgs</a></span><span class="p">,</span>
                  <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span>
<span></span>
<span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ConfigMapList</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
                  <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">,</span>
                  <span class="nx">items</span><span class="p">:</span> <span class="nx">Optional[Sequence[ConfigMapArgs]]</span> = None<span class="p">,</span>
                  <span class="nx">metadata</span><span class="p">:</span> <span class="nx">Optional[_meta.v1.ListMetaArgs]</span> = None<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func </span><span class="nx">NewConfigMapList</span><span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">name</span><span class="p"> </span><span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p"> </span><span class="nx"><a href="#inputs">ConfigMapListArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span><span class="p">) (*<span class="nx">ConfigMapList</span>, error)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span><span class="nx">ConfigMapList</span><span class="p">(</span><span class="nx">string</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ConfigMapListArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<div class="no-copy"><div class="highlight"><pre class="chroma">
<code class="language-java" data-lang="java"><span class="k">public </span><span class="nx">ConfigMapList</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ConfigMapListArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">)</span>
<span class="k">public </span><span class="nx">ConfigMapList</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ConfigMapListArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx">CustomResourceOptions</span><span class="p"> </span><span class="nx">options<span class="p">)</span>
</code></pre></div></div>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-yaml" data-lang="yaml">type: <span class="nx">kubernetes:core/v1:ConfigMapList</span><span class="p"></span>
<span class="p">properties</span><span class="p">: </span><span class="c">#&nbsp;The arguments to resource properties.</span>
<span class="p"></span><span class="p">options</span><span class="p">: </span><span class="c">#&nbsp;Bag of options to control resource&#39;s behavior.</span>
<span class="p"></span>
</code></pre></div></div>
</pulumi-choosable>
</div>

#### Parameters

<div>
<pulumi-choosable type="language" values="javascript,typescript">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigMapList</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>resource_name</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigMapListArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">ResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">

<dl class="resources-properties"><dt
        class="property-optional" title="Optional">
        <span>ctx</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span>
    </dt>
    <dd>Context object for the current deployment.</dd><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigMapListArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigMapListArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigMapListArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>options</span>
        <span class="property-indicator"></span>
        <span class="property-type">CustomResourceOptions</span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>



### Example

The following reference example uses placeholder values for all [input properties](#inputs).
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="csharp">

```csharp
var configMapListResource = new Kubernetes.Core.V1.ConfigMapList("configMapListResource", new()
{
    Items = new[]
    {
        new Kubernetes.Types.Inputs.Core.V1.ConfigMapArgs
        {
            ApiVersion = "v1",
            BinaryData = 
            {
                { "string", "string" },
            },
            Data = 
            {
                { "string", "string" },
            },
            Immutable = false,
            Kind = "ConfigMap",
            Metadata = new Kubernetes.Types.Inputs.Meta.V1.ObjectMetaArgs
            {
                Annotations = 
                {
                    { "string", "string" },
                },
                ClusterName = "string",
                CreationTimestamp = "string",
                DeletionGracePeriodSeconds = 0,
                DeletionTimestamp = "string",
                Finalizers = new[]
                {
                    "string",
                },
                GenerateName = "string",
                Generation = 0,
                Labels = 
                {
                    { "string", "string" },
                },
                ManagedFields = new[]
                {
                    new Kubernetes.Types.Inputs.Meta.V1.ManagedFieldsEntryArgs
                    {
                        ApiVersion = "string",
                        FieldsType = "string",
                        FieldsV1 = "{}",
                        Manager = "string",
                        Operation = "string",
                        Subresource = "string",
                        Time = "string",
                    },
                },
                Name = "string",
                Namespace = "string",
                OwnerReferences = new[]
                {
                    new Kubernetes.Types.Inputs.Meta.V1.OwnerReferenceArgs
                    {
                        ApiVersion = "string",
                        Kind = "string",
                        Name = "string",
                        Uid = "string",
                        BlockOwnerDeletion = false,
                        Controller = false,
                    },
                },
                ResourceVersion = "string",
                SelfLink = "string",
                Uid = "string",
            },
        },
    },
    ApiVersion = "string",
    Kind = "string",
    Metadata = new Kubernetes.Types.Inputs.Meta.V1.ListMetaArgs
    {
        Continue = "string",
        RemainingItemCount = 0,
        ResourceVersion = "string",
        SelfLink = "string",
    },
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="go">

```go
example, err := corev1.NewConfigMapList(ctx, "configMapListResource", &corev1.ConfigMapListArgs{
Items: corev1.ConfigMapTypeArray{
interface{}{
ApiVersion: pulumi.String("v1"),
BinaryData: pulumi.StringMap{
"string": pulumi.String("string"),
},
Data: pulumi.StringMap{
"string": pulumi.String("string"),
},
Immutable: pulumi.Bool(false),
Kind: pulumi.String("ConfigMap"),
Metadata: &metav1.ObjectMetaArgs{
Annotations: pulumi.StringMap{
"string": pulumi.String("string"),
},
ClusterName: pulumi.String("string"),
CreationTimestamp: pulumi.String("string"),
DeletionGracePeriodSeconds: pulumi.Int(0),
DeletionTimestamp: pulumi.String("string"),
Finalizers: pulumi.StringArray{
pulumi.String("string"),
},
GenerateName: pulumi.String("string"),
Generation: pulumi.Int(0),
Labels: pulumi.StringMap{
"string": pulumi.String("string"),
},
ManagedFields: metav1.ManagedFieldsEntryArray{
&metav1.ManagedFieldsEntryArgs{
ApiVersion: pulumi.String("string"),
FieldsType: pulumi.String("string"),
FieldsV1: pulumi.Any("{}"),
Manager: pulumi.String("string"),
Operation: pulumi.String("string"),
Subresource: pulumi.String("string"),
Time: pulumi.String("string"),
},
},
Name: pulumi.String("string"),
Namespace: pulumi.String("string"),
OwnerReferences: metav1.OwnerReferenceArray{
&metav1.OwnerReferenceArgs{
ApiVersion: pulumi.String("string"),
Kind: pulumi.String("string"),
Name: pulumi.String("string"),
Uid: pulumi.String("string"),
BlockOwnerDeletion: pulumi.Bool(false),
Controller: pulumi.Bool(false),
},
},
ResourceVersion: pulumi.String("string"),
SelfLink: pulumi.String("string"),
Uid: pulumi.String("string"),
},
},
},
ApiVersion: pulumi.String("string"),
Kind: pulumi.String("string"),
Metadata: &metav1.ListMetaArgs{
Continue: pulumi.String("string"),
RemainingItemCount: pulumi.Int(0),
ResourceVersion: pulumi.String("string"),
SelfLink: pulumi.String("string"),
},
})
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="java">

```java
var configMapListResource = new ConfigMapList("configMapListResource", ConfigMapListArgs.builder()        
    .items(ConfigMapArgs.builder()
        .apiVersion("v1")
        .binaryData(Map.of("string", "string"))
        .data(Map.of("string", "string"))
        .immutable(false)
        .kind("ConfigMap")
        .metadata(ObjectMetaArgs.builder()
            .annotations(Map.of("string", "string"))
            .clusterName("string")
            .creationTimestamp("string")
            .deletionGracePeriodSeconds(0)
            .deletionTimestamp("string")
            .finalizers("string")
            .generateName("string")
            .generation(0)
            .labels(Map.of("string", "string"))
            .managedFields(ManagedFieldsEntryArgs.builder()
                .apiVersion("string")
                .fieldsType("string")
                .fieldsV1("{}")
                .manager("string")
                .operation("string")
                .subresource("string")
                .time("string")
                .build())
            .name("string")
            .namespace("string")
            .ownerReferences(OwnerReferenceArgs.builder()
                .apiVersion("string")
                .kind("string")
                .name("string")
                .uid("string")
                .blockOwnerDeletion(false)
                .controller(false)
                .build())
            .resourceVersion("string")
            .selfLink("string")
            .uid("string")
            .build())
        .build())
    .apiVersion("string")
    .kind("string")
    .metadata(ListMetaArgs.builder()
        .continue_("string")
        .remainingItemCount(0)
        .resourceVersion("string")
        .selfLink("string")
        .build())
    .build());
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="python">

```python
config_map_list_resource = kubernetes.core.v1.ConfigMapList("configMapListResource",
    items=[kubernetes.core.v1.ConfigMapArgs(
        api_version="v1",
        binary_data={
            "string": "string",
        },
        data={
            "string": "string",
        },
        immutable=False,
        kind="ConfigMap",
        metadata=kubernetes.meta.v1.ObjectMetaArgs(
            annotations={
                "string": "string",
            },
            cluster_name="string",
            creation_timestamp="string",
            deletion_grace_period_seconds=0,
            deletion_timestamp="string",
            finalizers=["string"],
            generate_name="string",
            generation=0,
            labels={
                "string": "string",
            },
            managed_fields=[kubernetes.meta.v1.ManagedFieldsEntryArgs(
                api_version="string",
                fields_type="string",
                fields_v1="{}",
                manager="string",
                operation="string",
                subresource="string",
                time="string",
            )],
            name="string",
            namespace="string",
            owner_references=[kubernetes.meta.v1.OwnerReferenceArgs(
                api_version="string",
                kind="string",
                name="string",
                uid="string",
                block_owner_deletion=False,
                controller=False,
            )],
            resource_version="string",
            self_link="string",
            uid="string",
        ),
    )],
    api_version="string",
    kind="string",
    metadata=kubernetes.meta.v1.ListMetaArgs(
        continue_="string",
        remaining_item_count=0,
        resource_version="string",
        self_link="string",
    ))
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="typescript">

```typescript
const configMapListResource = new kubernetes.core.v1.ConfigMapList("configMapListResource", {
    items: [{
        apiVersion: "v1",
        binaryData: {
            string: "string",
        },
        data: {
            string: "string",
        },
        immutable: false,
        kind: "ConfigMap",
        metadata: {
            annotations: {
                string: "string",
            },
            clusterName: "string",
            creationTimestamp: "string",
            deletionGracePeriodSeconds: 0,
            deletionTimestamp: "string",
            finalizers: ["string"],
            generateName: "string",
            generation: 0,
            labels: {
                string: "string",
            },
            managedFields: [{
                apiVersion: "string",
                fieldsType: "string",
                fieldsV1: "{}",
                manager: "string",
                operation: "string",
                subresource: "string",
                time: "string",
            }],
            name: "string",
            namespace: "string",
            ownerReferences: [{
                apiVersion: "string",
                kind: "string",
                name: "string",
                uid: "string",
                blockOwnerDeletion: false,
                controller: false,
            }],
            resourceVersion: "string",
            selfLink: "string",
            uid: "string",
        },
    }],
    apiVersion: "string",
    kind: "string",
    metadata: {
        "continue": "string",
        remainingItemCount: 0,
        resourceVersion: "string",
        selfLink: "string",
    },
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="yaml">

```yaml
type: kubernetes:core/v1:ConfigMapList
properties:
    apiVersion: string
    items:
        - apiVersion: v1
          binaryData:
            string: string
          data:
            string: string
          immutable: false
          kind: ConfigMap
          metadata:
            annotations:
                string: string
            clusterName: string
            creationTimestamp: string
            deletionGracePeriodSeconds: 0
            deletionTimestamp: string
            finalizers:
                - string
            generateName: string
            generation: 0
            labels:
                string: string
            managedFields:
                - apiVersion: string
                  fieldsType: string
                  fieldsV1: '{}'
                  manager: string
                  operation: string
                  subresource: string
                  time: string
            name: string
            namespace: string
            ownerReferences:
                - apiVersion: string
                  blockOwnerDeletion: false
                  controller: false
                  kind: string
                  name: string
                  uid: string
            resourceVersion: string
            selfLink: string
            uid: string
    kind: string
    metadata:
        continue: string
        remainingItemCount: 0
        resourceVersion: string
        selfLink: string
```

</pulumi-choosable>
</div>



## ConfigMapList Resource Properties {#properties}

To learn more about resource properties and how to use them, see [Inputs and Outputs](/docs/intro/concepts/inputs-outputs) in the Architecture and Concepts docs.

### Inputs

The ConfigMapList resource accepts the following [input](/docs/intro/concepts/inputs-outputs) properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="items_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#items_csharp" style="color: inherit; text-decoration: inherit;">Items</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#configmap">List&lt;Config<wbr>Map&gt;</a></span>
    </dt>
    <dd>Items is the list of ConfigMaps.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_csharp" style="color: inherit; text-decoration: inherit;">Metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#listmeta">Pulumi.<wbr>Kubernetes.<wbr>Meta.<wbr>V1.<wbr>Inputs.<wbr>List<wbr>Meta</a></span>
    </dt>
    <dd>More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="items_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#items_go" style="color: inherit; text-decoration: inherit;">Items</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#configmap">[]Config<wbr>Map<wbr>Type<wbr>Args</a></span>
    </dt>
    <dd>Items is the list of ConfigMaps.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_go" style="color: inherit; text-decoration: inherit;">Metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#listmeta">List<wbr>Meta<wbr>Args</a></span>
    </dt>
    <dd>More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="items_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#items_java" style="color: inherit; text-decoration: inherit;">items</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#configmap">List&lt;Config<wbr>Map&gt;</a></span>
    </dt>
    <dd>Items is the list of ConfigMaps.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_java" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#listmeta">List<wbr>Meta</a></span>
    </dt>
    <dd>More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="items_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#items_nodejs" style="color: inherit; text-decoration: inherit;">items</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#configmap">Config<wbr>Map[]</a></span>
    </dt>
    <dd>Items is the list of ConfigMaps.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_nodejs" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#listmeta">meta.v1.<wbr>List<wbr>Meta</a></span>
    </dt>
    <dd>More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="items_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#items_python" style="color: inherit; text-decoration: inherit;">items</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#configmap">Sequence[Config<wbr>Map<wbr>Args]</a></span>
    </dt>
    <dd>Items is the list of ConfigMaps.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_python" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#listmeta">meta.v1.<wbr>List<wbr>Meta<wbr>Args</a></span>
    </dt>
    <dd>More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="items_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#items_yaml" style="color: inherit; text-decoration: inherit;">items</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#configmap">List&lt;Property Map&gt;</a></span>
    </dt>
    <dd>Items is the list of ConfigMaps.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_yaml" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#listmeta">Property Map</a></span>
    </dt>
    <dd>More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>


### Outputs

All [input](#inputs) properties are implicitly available as output properties. Additionally, the ConfigMapList resource produces the following output properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_csharp" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_go" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_java" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_nodejs" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_python" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_yaml" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd></dl>
</pulumi-choosable>
</div>







## Supporting Types



<h4 id="configmap">
Config<wbr>Map<pulumi-choosable type="language" values="python,go" class="inline">, Config<wbr>Map<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="binarydata_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#binarydata_csharp" style="color: inherit; text-decoration: inherit;">Binary<wbr>Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dictionary&lt;string, string&gt;</span>
    </dt>
    <dd>BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.</dd><dt class="property-optional"
            title="Optional">
        <span id="data_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#data_csharp" style="color: inherit; text-decoration: inherit;">Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dictionary&lt;string, string&gt;</span>
    </dt>
    <dd>Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.</dd><dt class="property-optional"
            title="Optional">
        <span id="immutable_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#immutable_csharp" style="color: inherit; text-decoration: inherit;">Immutable</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_csharp" style="color: inherit; text-decoration: inherit;">Metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#objectmeta">Pulumi.<wbr>Kubernetes.<wbr>Meta.<wbr>V1.<wbr>Inputs.<wbr>Object<wbr>Meta</a></span>
    </dt>
    <dd>Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="binarydata_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#binarydata_go" style="color: inherit; text-decoration: inherit;">Binary<wbr>Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">map[string]string</span>
    </dt>
    <dd>BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.</dd><dt class="property-optional"
            title="Optional">
        <span id="data_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#data_go" style="color: inherit; text-decoration: inherit;">Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">map[string]string</span>
    </dt>
    <dd>Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.</dd><dt class="property-optional"
            title="Optional">
        <span id="immutable_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#immutable_go" style="color: inherit; text-decoration: inherit;">Immutable</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_go" style="color: inherit; text-decoration: inherit;">Metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#objectmeta">Object<wbr>Meta</a></span>
    </dt>
    <dd>Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="binarydata_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#binarydata_java" style="color: inherit; text-decoration: inherit;">binary<wbr>Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String,String&gt;</span>
    </dt>
    <dd>BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.</dd><dt class="property-optional"
            title="Optional">
        <span id="data_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#data_java" style="color: inherit; text-decoration: inherit;">data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String,String&gt;</span>
    </dt>
    <dd>Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.</dd><dt class="property-optional"
            title="Optional">
        <span id="immutable_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#immutable_java" style="color: inherit; text-decoration: inherit;">immutable</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd>Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_java" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#objectmeta">Object<wbr>Meta</a></span>
    </dt>
    <dd>Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="binarydata_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#binarydata_nodejs" style="color: inherit; text-decoration: inherit;">binary<wbr>Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">{[key: string]: string}</span>
    </dt>
    <dd>BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.</dd><dt class="property-optional"
            title="Optional">
        <span id="data_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#data_nodejs" style="color: inherit; text-decoration: inherit;">data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">{[key: string]: string}</span>
    </dt>
    <dd>Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.</dd><dt class="property-optional"
            title="Optional">
        <span id="immutable_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#immutable_nodejs" style="color: inherit; text-decoration: inherit;">immutable</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_nodejs" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#objectmeta">meta.v1.<wbr>Object<wbr>Meta</a></span>
    </dt>
    <dd>Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="binary_data_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#binary_data_python" style="color: inherit; text-decoration: inherit;">binary_<wbr>data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Mapping[str, str]</span>
    </dt>
    <dd>BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.</dd><dt class="property-optional"
            title="Optional">
        <span id="data_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#data_python" style="color: inherit; text-decoration: inherit;">data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Mapping[str, str]</span>
    </dt>
    <dd>Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.</dd><dt class="property-optional"
            title="Optional">
        <span id="immutable_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#immutable_python" style="color: inherit; text-decoration: inherit;">immutable</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_python" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#objectmeta">meta.v1.<wbr>Object<wbr>Meta</a></span>
    </dt>
    <dd>Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="binarydata_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#binarydata_yaml" style="color: inherit; text-decoration: inherit;">binary<wbr>Data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String&gt;</span>
    </dt>
    <dd>BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.</dd><dt class="property-optional"
            title="Optional">
        <span id="data_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#data_yaml" style="color: inherit; text-decoration: inherit;">data</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String&gt;</span>
    </dt>
    <dd>Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.</dd><dt class="property-optional"
            title="Optional">
        <span id="immutable_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#immutable_yaml" style="color: inherit; text-decoration: inherit;">immutable</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd>Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.</dd><dt class="property-optional"
            title="Optional">
        <span id="metadata_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#metadata_yaml" style="color: inherit; text-decoration: inherit;">metadata</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#objectmeta">Property Map</a></span>
    </dt>
    <dd>Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</dd></dl>
</pulumi-choosable>
</div>

<h4 id="listmeta">
List<wbr>Meta<pulumi-choosable type="language" values="python,go" class="inline">, List<wbr>Meta<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="continue_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#continue_csharp" style="color: inherit; text-decoration: inherit;">Continue</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.</dd><dt class="property-optional"
            title="Optional">
        <span id="remainingitemcount_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#remainingitemcount_csharp" style="color: inherit; text-decoration: inherit;">Remaining<wbr>Item<wbr>Count</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is <em>estimating</em> the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_csharp" style="color: inherit; text-decoration: inherit;">Resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_csharp" style="color: inherit; text-decoration: inherit;">Self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="continue_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#continue_go" style="color: inherit; text-decoration: inherit;">Continue</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.</dd><dt class="property-optional"
            title="Optional">
        <span id="remainingitemcount_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#remainingitemcount_go" style="color: inherit; text-decoration: inherit;">Remaining<wbr>Item<wbr>Count</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is <em>estimating</em> the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_go" style="color: inherit; text-decoration: inherit;">Resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_go" style="color: inherit; text-decoration: inherit;">Self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="continue__java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#continue__java" style="color: inherit; text-decoration: inherit;">continue_</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.</dd><dt class="property-optional"
            title="Optional">
        <span id="remainingitemcount_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#remainingitemcount_java" style="color: inherit; text-decoration: inherit;">remaining<wbr>Item<wbr>Count</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Integer</span>
    </dt>
    <dd>remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is <em>estimating</em> the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_java" style="color: inherit; text-decoration: inherit;">resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_java" style="color: inherit; text-decoration: inherit;">self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="continue_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#continue_nodejs" style="color: inherit; text-decoration: inherit;">continue</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.</dd><dt class="property-optional"
            title="Optional">
        <span id="remainingitemcount_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#remainingitemcount_nodejs" style="color: inherit; text-decoration: inherit;">remaining<wbr>Item<wbr>Count</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd>remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is <em>estimating</em> the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_nodejs" style="color: inherit; text-decoration: inherit;">resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_nodejs" style="color: inherit; text-decoration: inherit;">self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="continue__python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#continue__python" style="color: inherit; text-decoration: inherit;">continue_</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.</dd><dt class="property-optional"
            title="Optional">
        <span id="remaining_item_count_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#remaining_item_count_python" style="color: inherit; text-decoration: inherit;">remaining_<wbr>item_<wbr>count</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is <em>estimating</em> the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact.</dd><dt class="property-optional"
            title="Optional">
        <span id="resource_version_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resource_version_python" style="color: inherit; text-decoration: inherit;">resource_<wbr>version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</dd><dt class="property-optional"
            title="Optional">
        <span id="self_link_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#self_link_python" style="color: inherit; text-decoration: inherit;">self_<wbr>link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="continue_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#continue_yaml" style="color: inherit; text-decoration: inherit;">continue</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.</dd><dt class="property-optional"
            title="Optional">
        <span id="remainingitemcount_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#remainingitemcount_yaml" style="color: inherit; text-decoration: inherit;">remaining<wbr>Item<wbr>Count</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd>remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is <em>estimating</em> the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_yaml" style="color: inherit; text-decoration: inherit;">resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_yaml" style="color: inherit; text-decoration: inherit;">self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd></dl>
</pulumi-choosable>
</div>

<h4 id="managedfieldsentry">
Managed<wbr>Fields<wbr>Entry<pulumi-choosable type="language" values="python,go" class="inline">, Managed<wbr>Fields<wbr>Entry<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="apiversion_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_csharp" style="color: inherit; text-decoration: inherit;">Api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>APIVersion defines the version of this resource that this field set applies to. The format is &quot;group/version&quot; just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldstype_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldstype_csharp" style="color: inherit; text-decoration: inherit;">Fields<wbr>Type</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: &quot;FieldsV1&quot;</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldsv1_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldsv1_csharp" style="color: inherit; text-decoration: inherit;">Fields<wbr>V1</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">System.<wbr>Text.<wbr>Json.<wbr>Json<wbr>Element</span>
    </dt>
    <dd>FieldsV1 holds the first JSON version format as described in the &quot;FieldsV1&quot; type.</dd><dt class="property-optional"
            title="Optional">
        <span id="manager_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#manager_csharp" style="color: inherit; text-decoration: inherit;">Manager</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Manager is an identifier of the workflow managing these fields.</dd><dt class="property-optional"
            title="Optional">
        <span id="operation_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#operation_csharp" style="color: inherit; text-decoration: inherit;">Operation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.</dd><dt class="property-optional"
            title="Optional">
        <span id="subresource_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#subresource_csharp" style="color: inherit; text-decoration: inherit;">Subresource</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Subresource is the name of the subresource used to update that object, or empty string if the object was updated through the main resource. The value of this field is used to distinguish between managers, even if they share the same name. For example, a status update will be distinct from a regular update using the same manager name. Note that the APIVersion field is not related to the Subresource field and it always corresponds to the version of the main resource.</dd><dt class="property-optional"
            title="Optional">
        <span id="time_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#time_csharp" style="color: inherit; text-decoration: inherit;">Time</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Time is the timestamp of when the ManagedFields entry was added. The timestamp will also be updated if a field is added, the manager changes any of the owned fields value or removes a field. The timestamp does not update when a field is removed from the entry because another manager took it over.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="apiversion_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_go" style="color: inherit; text-decoration: inherit;">Api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>APIVersion defines the version of this resource that this field set applies to. The format is &quot;group/version&quot; just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldstype_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldstype_go" style="color: inherit; text-decoration: inherit;">Fields<wbr>Type</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: &quot;FieldsV1&quot;</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldsv1_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldsv1_go" style="color: inherit; text-decoration: inherit;">Fields<wbr>V1</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">interface{}</span>
    </dt>
    <dd>FieldsV1 holds the first JSON version format as described in the &quot;FieldsV1&quot; type.</dd><dt class="property-optional"
            title="Optional">
        <span id="manager_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#manager_go" style="color: inherit; text-decoration: inherit;">Manager</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Manager is an identifier of the workflow managing these fields.</dd><dt class="property-optional"
            title="Optional">
        <span id="operation_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#operation_go" style="color: inherit; text-decoration: inherit;">Operation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.</dd><dt class="property-optional"
            title="Optional">
        <span id="subresource_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#subresource_go" style="color: inherit; text-decoration: inherit;">Subresource</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Subresource is the name of the subresource used to update that object, or empty string if the object was updated through the main resource. The value of this field is used to distinguish between managers, even if they share the same name. For example, a status update will be distinct from a regular update using the same manager name. Note that the APIVersion field is not related to the Subresource field and it always corresponds to the version of the main resource.</dd><dt class="property-optional"
            title="Optional">
        <span id="time_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#time_go" style="color: inherit; text-decoration: inherit;">Time</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Time is the timestamp of when the ManagedFields entry was added. The timestamp will also be updated if a field is added, the manager changes any of the owned fields value or removes a field. The timestamp does not update when a field is removed from the entry because another manager took it over.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="apiversion_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_java" style="color: inherit; text-decoration: inherit;">api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>APIVersion defines the version of this resource that this field set applies to. The format is &quot;group/version&quot; just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldstype_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldstype_java" style="color: inherit; text-decoration: inherit;">fields<wbr>Type</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: &quot;FieldsV1&quot;</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldsv1_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldsv1_java" style="color: inherit; text-decoration: inherit;">fields<wbr>V1</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Json<wbr>Element</span>
    </dt>
    <dd>FieldsV1 holds the first JSON version format as described in the &quot;FieldsV1&quot; type.</dd><dt class="property-optional"
            title="Optional">
        <span id="manager_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#manager_java" style="color: inherit; text-decoration: inherit;">manager</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Manager is an identifier of the workflow managing these fields.</dd><dt class="property-optional"
            title="Optional">
        <span id="operation_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#operation_java" style="color: inherit; text-decoration: inherit;">operation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.</dd><dt class="property-optional"
            title="Optional">
        <span id="subresource_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#subresource_java" style="color: inherit; text-decoration: inherit;">subresource</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Subresource is the name of the subresource used to update that object, or empty string if the object was updated through the main resource. The value of this field is used to distinguish between managers, even if they share the same name. For example, a status update will be distinct from a regular update using the same manager name. Note that the APIVersion field is not related to the Subresource field and it always corresponds to the version of the main resource.</dd><dt class="property-optional"
            title="Optional">
        <span id="time_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#time_java" style="color: inherit; text-decoration: inherit;">time</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Time is the timestamp of when the ManagedFields entry was added. The timestamp will also be updated if a field is added, the manager changes any of the owned fields value or removes a field. The timestamp does not update when a field is removed from the entry because another manager took it over.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="apiversion_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_nodejs" style="color: inherit; text-decoration: inherit;">api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>APIVersion defines the version of this resource that this field set applies to. The format is &quot;group/version&quot; just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldstype_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldstype_nodejs" style="color: inherit; text-decoration: inherit;">fields<wbr>Type</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: &quot;FieldsV1&quot;</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldsv1_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldsv1_nodejs" style="color: inherit; text-decoration: inherit;">fields<wbr>V1</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">any</span>
    </dt>
    <dd>FieldsV1 holds the first JSON version format as described in the &quot;FieldsV1&quot; type.</dd><dt class="property-optional"
            title="Optional">
        <span id="manager_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#manager_nodejs" style="color: inherit; text-decoration: inherit;">manager</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Manager is an identifier of the workflow managing these fields.</dd><dt class="property-optional"
            title="Optional">
        <span id="operation_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#operation_nodejs" style="color: inherit; text-decoration: inherit;">operation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.</dd><dt class="property-optional"
            title="Optional">
        <span id="subresource_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#subresource_nodejs" style="color: inherit; text-decoration: inherit;">subresource</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Subresource is the name of the subresource used to update that object, or empty string if the object was updated through the main resource. The value of this field is used to distinguish between managers, even if they share the same name. For example, a status update will be distinct from a regular update using the same manager name. Note that the APIVersion field is not related to the Subresource field and it always corresponds to the version of the main resource.</dd><dt class="property-optional"
            title="Optional">
        <span id="time_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#time_nodejs" style="color: inherit; text-decoration: inherit;">time</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Time is the timestamp of when the ManagedFields entry was added. The timestamp will also be updated if a field is added, the manager changes any of the owned fields value or removes a field. The timestamp does not update when a field is removed from the entry because another manager took it over.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="api_version_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#api_version_python" style="color: inherit; text-decoration: inherit;">api_<wbr>version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>APIVersion defines the version of this resource that this field set applies to. The format is &quot;group/version&quot; just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.</dd><dt class="property-optional"
            title="Optional">
        <span id="fields_type_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fields_type_python" style="color: inherit; text-decoration: inherit;">fields_<wbr>type</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: &quot;FieldsV1&quot;</dd><dt class="property-optional"
            title="Optional">
        <span id="fields_v1_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fields_v1_python" style="color: inherit; text-decoration: inherit;">fields_<wbr>v1</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Any</span>
    </dt>
    <dd>FieldsV1 holds the first JSON version format as described in the &quot;FieldsV1&quot; type.</dd><dt class="property-optional"
            title="Optional">
        <span id="manager_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#manager_python" style="color: inherit; text-decoration: inherit;">manager</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Manager is an identifier of the workflow managing these fields.</dd><dt class="property-optional"
            title="Optional">
        <span id="operation_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#operation_python" style="color: inherit; text-decoration: inherit;">operation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.</dd><dt class="property-optional"
            title="Optional">
        <span id="subresource_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#subresource_python" style="color: inherit; text-decoration: inherit;">subresource</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Subresource is the name of the subresource used to update that object, or empty string if the object was updated through the main resource. The value of this field is used to distinguish between managers, even if they share the same name. For example, a status update will be distinct from a regular update using the same manager name. Note that the APIVersion field is not related to the Subresource field and it always corresponds to the version of the main resource.</dd><dt class="property-optional"
            title="Optional">
        <span id="time_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#time_python" style="color: inherit; text-decoration: inherit;">time</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Time is the timestamp of when the ManagedFields entry was added. The timestamp will also be updated if a field is added, the manager changes any of the owned fields value or removes a field. The timestamp does not update when a field is removed from the entry because another manager took it over.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="apiversion_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_yaml" style="color: inherit; text-decoration: inherit;">api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>APIVersion defines the version of this resource that this field set applies to. The format is &quot;group/version&quot; just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldstype_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldstype_yaml" style="color: inherit; text-decoration: inherit;">fields<wbr>Type</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: &quot;FieldsV1&quot;</dd><dt class="property-optional"
            title="Optional">
        <span id="fieldsv1_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#fieldsv1_yaml" style="color: inherit; text-decoration: inherit;">fields<wbr>V1</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">JSON</span>
    </dt>
    <dd>FieldsV1 holds the first JSON version format as described in the &quot;FieldsV1&quot; type.</dd><dt class="property-optional"
            title="Optional">
        <span id="manager_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#manager_yaml" style="color: inherit; text-decoration: inherit;">manager</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Manager is an identifier of the workflow managing these fields.</dd><dt class="property-optional"
            title="Optional">
        <span id="operation_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#operation_yaml" style="color: inherit; text-decoration: inherit;">operation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.</dd><dt class="property-optional"
            title="Optional">
        <span id="subresource_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#subresource_yaml" style="color: inherit; text-decoration: inherit;">subresource</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Subresource is the name of the subresource used to update that object, or empty string if the object was updated through the main resource. The value of this field is used to distinguish between managers, even if they share the same name. For example, a status update will be distinct from a regular update using the same manager name. Note that the APIVersion field is not related to the Subresource field and it always corresponds to the version of the main resource.</dd><dt class="property-optional"
            title="Optional">
        <span id="time_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#time_yaml" style="color: inherit; text-decoration: inherit;">time</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Time is the timestamp of when the ManagedFields entry was added. The timestamp will also be updated if a field is added, the manager changes any of the owned fields value or removes a field. The timestamp does not update when a field is removed from the entry because another manager took it over.</dd></dl>
</pulumi-choosable>
</div>

<h4 id="objectmeta">
Object<wbr>Meta<pulumi-choosable type="language" values="python,go" class="inline">, Object<wbr>Meta<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="annotations_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#annotations_csharp" style="color: inherit; text-decoration: inherit;">Annotations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dictionary&lt;string, string&gt;</span>
    </dt>
    <dd>Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations</dd><dt class="property-optional"
            title="Optional">
        <span id="clustername_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#clustername_csharp" style="color: inherit; text-decoration: inherit;">Cluster<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request.</dd><dt class="property-optional"
            title="Optional">
        <span id="creationtimestamp_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#creationtimestamp_csharp" style="color: inherit; text-decoration: inherit;">Creation<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.</p>
<p>Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiongraceperiodseconds_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiongraceperiodseconds_csharp" style="color: inherit; text-decoration: inherit;">Deletion<wbr>Grace<wbr>Period<wbr>Seconds</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiontimestamp_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiontimestamp_csharp" style="color: inherit; text-decoration: inherit;">Deletion<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.</p>
<p>Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="finalizers_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#finalizers_csharp" style="color: inherit; text-decoration: inherit;">Finalizers</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;string&gt;</span>
    </dt>
    <dd>Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order.  Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list.</dd><dt class="property-optional"
            title="Optional">
        <span id="generatename_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generatename_csharp" style="color: inherit; text-decoration: inherit;">Generate<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.</p>
<p>If this field is specified and the generated name exists, the server will return a 409.</p>
<p>Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="generation_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generation_csharp" style="color: inherit; text-decoration: inherit;">Generation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="labels_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#labels_csharp" style="color: inherit; text-decoration: inherit;">Labels</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dictionary&lt;string, string&gt;</span>
    </dt>
    <dd>Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels</dd><dt class="property-optional"
            title="Optional">
        <span id="managedfields_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#managedfields_csharp" style="color: inherit; text-decoration: inherit;">Managed<wbr>Fields</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#managedfieldsentry">List&lt;Pulumi.<wbr>Kubernetes.<wbr>Meta.<wbr>V1.<wbr>Inputs.<wbr>Managed<wbr>Fields<wbr>Entry&gt;</a></span>
    </dt>
    <dd>ManagedFields maps workflow-id and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn't need to set or understand this field. A workflow can be the user's name, a controller's name, or the name of a specific apply path like &quot;ci-cd&quot;. The set of fields is always in the version that the workflow used when modifying the object.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_csharp" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-optional"
            title="Optional">
        <span id="namespace_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namespace_csharp" style="color: inherit; text-decoration: inherit;">Namespace</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>Namespace defines the space within which each name must be unique. An empty namespace is equivalent to the &quot;default&quot; namespace, but &quot;default&quot; is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.</p>
<p>Must be a DNS_LABEL. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="ownerreferences_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#ownerreferences_csharp" style="color: inherit; text-decoration: inherit;">Owner<wbr>References</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#ownerreference">List&lt;Pulumi.<wbr>Kubernetes.<wbr>Meta.<wbr>V1.<wbr>Inputs.<wbr>Owner<wbr>Reference&gt;</a></span>
    </dt>
    <dd>List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_csharp" style="color: inherit; text-decoration: inherit;">Resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.</p>
<p>Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_csharp" style="color: inherit; text-decoration: inherit;">Self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd><dt class="property-optional"
            title="Optional">
        <span id="uid_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_csharp" style="color: inherit; text-decoration: inherit;">Uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.</p>
<p>Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</p>
</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="annotations_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#annotations_go" style="color: inherit; text-decoration: inherit;">Annotations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">map[string]string</span>
    </dt>
    <dd>Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations</dd><dt class="property-optional"
            title="Optional">
        <span id="clustername_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#clustername_go" style="color: inherit; text-decoration: inherit;">Cluster<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request.</dd><dt class="property-optional"
            title="Optional">
        <span id="creationtimestamp_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#creationtimestamp_go" style="color: inherit; text-decoration: inherit;">Creation<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.</p>
<p>Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiongraceperiodseconds_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiongraceperiodseconds_go" style="color: inherit; text-decoration: inherit;">Deletion<wbr>Grace<wbr>Period<wbr>Seconds</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiontimestamp_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiontimestamp_go" style="color: inherit; text-decoration: inherit;">Deletion<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.</p>
<p>Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="finalizers_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#finalizers_go" style="color: inherit; text-decoration: inherit;">Finalizers</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">[]string</span>
    </dt>
    <dd>Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order.  Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list.</dd><dt class="property-optional"
            title="Optional">
        <span id="generatename_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generatename_go" style="color: inherit; text-decoration: inherit;">Generate<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.</p>
<p>If this field is specified and the generated name exists, the server will return a 409.</p>
<p>Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="generation_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generation_go" style="color: inherit; text-decoration: inherit;">Generation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="labels_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#labels_go" style="color: inherit; text-decoration: inherit;">Labels</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">map[string]string</span>
    </dt>
    <dd>Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels</dd><dt class="property-optional"
            title="Optional">
        <span id="managedfields_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#managedfields_go" style="color: inherit; text-decoration: inherit;">Managed<wbr>Fields</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#managedfieldsentry">Managed<wbr>Fields<wbr>Entry</a></span>
    </dt>
    <dd>ManagedFields maps workflow-id and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn't need to set or understand this field. A workflow can be the user's name, a controller's name, or the name of a specific apply path like &quot;ci-cd&quot;. The set of fields is always in the version that the workflow used when modifying the object.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_go" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-optional"
            title="Optional">
        <span id="namespace_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namespace_go" style="color: inherit; text-decoration: inherit;">Namespace</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>Namespace defines the space within which each name must be unique. An empty namespace is equivalent to the &quot;default&quot; namespace, but &quot;default&quot; is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.</p>
<p>Must be a DNS_LABEL. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="ownerreferences_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#ownerreferences_go" style="color: inherit; text-decoration: inherit;">Owner<wbr>References</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#ownerreference">Owner<wbr>Reference</a></span>
    </dt>
    <dd>List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_go" style="color: inherit; text-decoration: inherit;">Resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.</p>
<p>Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_go" style="color: inherit; text-decoration: inherit;">Self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd><dt class="property-optional"
            title="Optional">
        <span id="uid_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_go" style="color: inherit; text-decoration: inherit;">Uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.</p>
<p>Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</p>
</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="annotations_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#annotations_java" style="color: inherit; text-decoration: inherit;">annotations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String,String&gt;</span>
    </dt>
    <dd>Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations</dd><dt class="property-optional"
            title="Optional">
        <span id="clustername_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#clustername_java" style="color: inherit; text-decoration: inherit;">cluster<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request.</dd><dt class="property-optional"
            title="Optional">
        <span id="creationtimestamp_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#creationtimestamp_java" style="color: inherit; text-decoration: inherit;">creation<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.</p>
<p>Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiongraceperiodseconds_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiongraceperiodseconds_java" style="color: inherit; text-decoration: inherit;">deletion<wbr>Grace<wbr>Period<wbr>Seconds</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Integer</span>
    </dt>
    <dd>Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiontimestamp_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiontimestamp_java" style="color: inherit; text-decoration: inherit;">deletion<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.</p>
<p>Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="finalizers_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#finalizers_java" style="color: inherit; text-decoration: inherit;">finalizers</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;String&gt;</span>
    </dt>
    <dd>Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order.  Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list.</dd><dt class="property-optional"
            title="Optional">
        <span id="generatename_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generatename_java" style="color: inherit; text-decoration: inherit;">generate<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.</p>
<p>If this field is specified and the generated name exists, the server will return a 409.</p>
<p>Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="generation_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generation_java" style="color: inherit; text-decoration: inherit;">generation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Integer</span>
    </dt>
    <dd>A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="labels_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#labels_java" style="color: inherit; text-decoration: inherit;">labels</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String,String&gt;</span>
    </dt>
    <dd>Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels</dd><dt class="property-optional"
            title="Optional">
        <span id="managedfields_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#managedfields_java" style="color: inherit; text-decoration: inherit;">managed<wbr>Fields</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#managedfieldsentry">List&lt;Managed<wbr>Fields<wbr>Entry&gt;</a></span>
    </dt>
    <dd>ManagedFields maps workflow-id and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn't need to set or understand this field. A workflow can be the user's name, a controller's name, or the name of a specific apply path like &quot;ci-cd&quot;. The set of fields is always in the version that the workflow used when modifying the object.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_java" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-optional"
            title="Optional">
        <span id="namespace_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namespace_java" style="color: inherit; text-decoration: inherit;">namespace</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>Namespace defines the space within which each name must be unique. An empty namespace is equivalent to the &quot;default&quot; namespace, but &quot;default&quot; is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.</p>
<p>Must be a DNS_LABEL. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="ownerreferences_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#ownerreferences_java" style="color: inherit; text-decoration: inherit;">owner<wbr>References</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#ownerreference">List&lt;Owner<wbr>Reference&gt;</a></span>
    </dt>
    <dd>List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_java" style="color: inherit; text-decoration: inherit;">resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.</p>
<p>Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_java" style="color: inherit; text-decoration: inherit;">self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd><dt class="property-optional"
            title="Optional">
        <span id="uid_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_java" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.</p>
<p>Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</p>
</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="annotations_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#annotations_nodejs" style="color: inherit; text-decoration: inherit;">annotations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">{[key: string]: string}</span>
    </dt>
    <dd>Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations</dd><dt class="property-optional"
            title="Optional">
        <span id="clustername_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#clustername_nodejs" style="color: inherit; text-decoration: inherit;">cluster<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request.</dd><dt class="property-optional"
            title="Optional">
        <span id="creationtimestamp_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#creationtimestamp_nodejs" style="color: inherit; text-decoration: inherit;">creation<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.</p>
<p>Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiongraceperiodseconds_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiongraceperiodseconds_nodejs" style="color: inherit; text-decoration: inherit;">deletion<wbr>Grace<wbr>Period<wbr>Seconds</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd>Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiontimestamp_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiontimestamp_nodejs" style="color: inherit; text-decoration: inherit;">deletion<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.</p>
<p>Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="finalizers_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#finalizers_nodejs" style="color: inherit; text-decoration: inherit;">finalizers</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string[]</span>
    </dt>
    <dd>Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order.  Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list.</dd><dt class="property-optional"
            title="Optional">
        <span id="generatename_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generatename_nodejs" style="color: inherit; text-decoration: inherit;">generate<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.</p>
<p>If this field is specified and the generated name exists, the server will return a 409.</p>
<p>Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="generation_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generation_nodejs" style="color: inherit; text-decoration: inherit;">generation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd>A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="labels_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#labels_nodejs" style="color: inherit; text-decoration: inherit;">labels</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">{[key: string]: string}</span>
    </dt>
    <dd>Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels</dd><dt class="property-optional"
            title="Optional">
        <span id="managedfields_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#managedfields_nodejs" style="color: inherit; text-decoration: inherit;">managed<wbr>Fields</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#managedfieldsentry">meta.v1.<wbr>Managed<wbr>Fields<wbr>Entry[]</a></span>
    </dt>
    <dd>ManagedFields maps workflow-id and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn't need to set or understand this field. A workflow can be the user's name, a controller's name, or the name of a specific apply path like &quot;ci-cd&quot;. The set of fields is always in the version that the workflow used when modifying the object.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_nodejs" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-optional"
            title="Optional">
        <span id="namespace_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namespace_nodejs" style="color: inherit; text-decoration: inherit;">namespace</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>Namespace defines the space within which each name must be unique. An empty namespace is equivalent to the &quot;default&quot; namespace, but &quot;default&quot; is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.</p>
<p>Must be a DNS_LABEL. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="ownerreferences_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#ownerreferences_nodejs" style="color: inherit; text-decoration: inherit;">owner<wbr>References</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#ownerreference">meta.v1.<wbr>Owner<wbr>Reference[]</a></span>
    </dt>
    <dd>List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_nodejs" style="color: inherit; text-decoration: inherit;">resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.</p>
<p>Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_nodejs" style="color: inherit; text-decoration: inherit;">self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd><dt class="property-optional"
            title="Optional">
        <span id="uid_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_nodejs" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd><p>UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.</p>
<p>Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</p>
</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="annotations_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#annotations_python" style="color: inherit; text-decoration: inherit;">annotations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Mapping[str, str]</span>
    </dt>
    <dd>Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations</dd><dt class="property-optional"
            title="Optional">
        <span id="cluster_name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#cluster_name_python" style="color: inherit; text-decoration: inherit;">cluster_<wbr>name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request.</dd><dt class="property-optional"
            title="Optional">
        <span id="creation_timestamp_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#creation_timestamp_python" style="color: inherit; text-decoration: inherit;">creation_<wbr>timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd><p>CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.</p>
<p>Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="deletion_grace_period_seconds_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletion_grace_period_seconds_python" style="color: inherit; text-decoration: inherit;">deletion_<wbr>grace_<wbr>period_<wbr>seconds</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="deletion_timestamp_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletion_timestamp_python" style="color: inherit; text-decoration: inherit;">deletion_<wbr>timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd><p>DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.</p>
<p>Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="finalizers_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#finalizers_python" style="color: inherit; text-decoration: inherit;">finalizers</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Sequence[str]</span>
    </dt>
    <dd>Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order.  Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list.</dd><dt class="property-optional"
            title="Optional">
        <span id="generate_name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generate_name_python" style="color: inherit; text-decoration: inherit;">generate_<wbr>name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd><p>GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.</p>
<p>If this field is specified and the generated name exists, the server will return a 409.</p>
<p>Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="generation_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generation_python" style="color: inherit; text-decoration: inherit;">generation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">int</span>
    </dt>
    <dd>A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="labels_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#labels_python" style="color: inherit; text-decoration: inherit;">labels</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Mapping[str, str]</span>
    </dt>
    <dd>Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels</dd><dt class="property-optional"
            title="Optional">
        <span id="managed_fields_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#managed_fields_python" style="color: inherit; text-decoration: inherit;">managed_<wbr>fields</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#managedfieldsentry">Sequence[meta.v1.<wbr>Managed<wbr>Fields<wbr>Entry]</a></span>
    </dt>
    <dd>ManagedFields maps workflow-id and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn't need to set or understand this field. A workflow can be the user's name, a controller's name, or the name of a specific apply path like &quot;ci-cd&quot;. The set of fields is always in the version that the workflow used when modifying the object.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_python" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-optional"
            title="Optional">
        <span id="namespace_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namespace_python" style="color: inherit; text-decoration: inherit;">namespace</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd><p>Namespace defines the space within which each name must be unique. An empty namespace is equivalent to the &quot;default&quot; namespace, but &quot;default&quot; is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.</p>
<p>Must be a DNS_LABEL. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="owner_references_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_references_python" style="color: inherit; text-decoration: inherit;">owner_<wbr>references</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#ownerreference">Sequence[meta.v1.<wbr>Owner<wbr>Reference]</a></span>
    </dt>
    <dd>List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller.</dd><dt class="property-optional"
            title="Optional">
        <span id="resource_version_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resource_version_python" style="color: inherit; text-decoration: inherit;">resource_<wbr>version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd><p>An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.</p>
<p>Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="self_link_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#self_link_python" style="color: inherit; text-decoration: inherit;">self_<wbr>link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd><dt class="property-optional"
            title="Optional">
        <span id="uid_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_python" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd><p>UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.</p>
<p>Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</p>
</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="annotations_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#annotations_yaml" style="color: inherit; text-decoration: inherit;">annotations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String&gt;</span>
    </dt>
    <dd>Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations</dd><dt class="property-optional"
            title="Optional">
        <span id="clustername_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#clustername_yaml" style="color: inherit; text-decoration: inherit;">cluster<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request.</dd><dt class="property-optional"
            title="Optional">
        <span id="creationtimestamp_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#creationtimestamp_yaml" style="color: inherit; text-decoration: inherit;">creation<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.</p>
<p>Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiongraceperiodseconds_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiongraceperiodseconds_yaml" style="color: inherit; text-decoration: inherit;">deletion<wbr>Grace<wbr>Period<wbr>Seconds</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd>Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="deletiontimestamp_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#deletiontimestamp_yaml" style="color: inherit; text-decoration: inherit;">deletion<wbr>Timestamp</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.</p>
<p>Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="finalizers_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#finalizers_yaml" style="color: inherit; text-decoration: inherit;">finalizers</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;String&gt;</span>
    </dt>
    <dd>Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order.  Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list.</dd><dt class="property-optional"
            title="Optional">
        <span id="generatename_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generatename_yaml" style="color: inherit; text-decoration: inherit;">generate<wbr>Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.</p>
<p>If this field is specified and the generated name exists, the server will return a 409.</p>
<p>Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="generation_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#generation_yaml" style="color: inherit; text-decoration: inherit;">generation</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd>A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.</dd><dt class="property-optional"
            title="Optional">
        <span id="labels_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#labels_yaml" style="color: inherit; text-decoration: inherit;">labels</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Map&lt;String&gt;</span>
    </dt>
    <dd>Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels</dd><dt class="property-optional"
            title="Optional">
        <span id="managedfields_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#managedfields_yaml" style="color: inherit; text-decoration: inherit;">managed<wbr>Fields</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#managedfieldsentry">List&lt;Property Map&gt;</a></span>
    </dt>
    <dd>ManagedFields maps workflow-id and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn't need to set or understand this field. A workflow can be the user's name, a controller's name, or the name of a specific apply path like &quot;ci-cd&quot;. The set of fields is always in the version that the workflow used when modifying the object.</dd><dt class="property-optional"
            title="Optional">
        <span id="name_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_yaml" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-optional"
            title="Optional">
        <span id="namespace_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#namespace_yaml" style="color: inherit; text-decoration: inherit;">namespace</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>Namespace defines the space within which each name must be unique. An empty namespace is equivalent to the &quot;default&quot; namespace, but &quot;default&quot; is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.</p>
<p>Must be a DNS_LABEL. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="ownerreferences_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#ownerreferences_yaml" style="color: inherit; text-decoration: inherit;">owner<wbr>References</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#ownerreference">List&lt;Property Map&gt;</a></span>
    </dt>
    <dd>List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceversion_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceversion_yaml" style="color: inherit; text-decoration: inherit;">resource<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.</p>
<p>Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency</p>
</dd><dt class="property-optional"
            title="Optional">
        <span id="selflink_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#selflink_yaml" style="color: inherit; text-decoration: inherit;">self<wbr>Link</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Deprecated: selfLink is a legacy read-only field that is no longer populated by the system.</dd><dt class="property-optional"
            title="Optional">
        <span id="uid_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_yaml" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd><p>UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.</p>
<p>Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</p>
</dd></dl>
</pulumi-choosable>
</div>

<h4 id="ownerreference">
Owner<wbr>Reference<pulumi-choosable type="language" values="python,go" class="inline">, Owner<wbr>Reference<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="apiversion_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_csharp" style="color: inherit; text-decoration: inherit;">Api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>API version of the referent.</dd><dt class="property-required"
            title="Required">
        <span id="kind_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#kind_csharp" style="color: inherit; text-decoration: inherit;">Kind</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds</dd><dt class="property-required"
            title="Required">
        <span id="name_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_csharp" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-required"
            title="Required">
        <span id="uid_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_csharp" style="color: inherit; text-decoration: inherit;">Uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</dd><dt class="property-optional"
            title="Optional">
        <span id="blockownerdeletion_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#blockownerdeletion_csharp" style="color: inherit; text-decoration: inherit;">Block<wbr>Owner<wbr>Deletion</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>If true, AND if the owner has the &quot;foregroundDeletion&quot; finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. See https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion for how the garbage collector interacts with this field and enforces the foreground deletion. Defaults to false. To set this field, a user needs &quot;delete&quot; permission of the owner, otherwise 422 (Unprocessable Entity) will be returned.</dd><dt class="property-optional"
            title="Optional">
        <span id="controller_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#controller_csharp" style="color: inherit; text-decoration: inherit;">Controller</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>If true, this reference points to the managing controller.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="apiversion_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_go" style="color: inherit; text-decoration: inherit;">Api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>API version of the referent.</dd><dt class="property-required"
            title="Required">
        <span id="kind_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#kind_go" style="color: inherit; text-decoration: inherit;">Kind</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds</dd><dt class="property-required"
            title="Required">
        <span id="name_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_go" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-required"
            title="Required">
        <span id="uid_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_go" style="color: inherit; text-decoration: inherit;">Uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</dd><dt class="property-optional"
            title="Optional">
        <span id="blockownerdeletion_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#blockownerdeletion_go" style="color: inherit; text-decoration: inherit;">Block<wbr>Owner<wbr>Deletion</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>If true, AND if the owner has the &quot;foregroundDeletion&quot; finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. See https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion for how the garbage collector interacts with this field and enforces the foreground deletion. Defaults to false. To set this field, a user needs &quot;delete&quot; permission of the owner, otherwise 422 (Unprocessable Entity) will be returned.</dd><dt class="property-optional"
            title="Optional">
        <span id="controller_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#controller_go" style="color: inherit; text-decoration: inherit;">Controller</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>If true, this reference points to the managing controller.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="apiversion_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_java" style="color: inherit; text-decoration: inherit;">api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>API version of the referent.</dd><dt class="property-required"
            title="Required">
        <span id="kind_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#kind_java" style="color: inherit; text-decoration: inherit;">kind</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds</dd><dt class="property-required"
            title="Required">
        <span id="name_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_java" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-required"
            title="Required">
        <span id="uid_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_java" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</dd><dt class="property-optional"
            title="Optional">
        <span id="blockownerdeletion_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#blockownerdeletion_java" style="color: inherit; text-decoration: inherit;">block<wbr>Owner<wbr>Deletion</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd>If true, AND if the owner has the &quot;foregroundDeletion&quot; finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. See https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion for how the garbage collector interacts with this field and enforces the foreground deletion. Defaults to false. To set this field, a user needs &quot;delete&quot; permission of the owner, otherwise 422 (Unprocessable Entity) will be returned.</dd><dt class="property-optional"
            title="Optional">
        <span id="controller_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#controller_java" style="color: inherit; text-decoration: inherit;">controller</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd>If true, this reference points to the managing controller.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="apiversion_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_nodejs" style="color: inherit; text-decoration: inherit;">api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>API version of the referent.</dd><dt class="property-required"
            title="Required">
        <span id="kind_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#kind_nodejs" style="color: inherit; text-decoration: inherit;">kind</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds</dd><dt class="property-required"
            title="Required">
        <span id="name_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_nodejs" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-required"
            title="Required">
        <span id="uid_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_nodejs" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</dd><dt class="property-optional"
            title="Optional">
        <span id="blockownerdeletion_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#blockownerdeletion_nodejs" style="color: inherit; text-decoration: inherit;">block<wbr>Owner<wbr>Deletion</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>If true, AND if the owner has the &quot;foregroundDeletion&quot; finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. See https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion for how the garbage collector interacts with this field and enforces the foreground deletion. Defaults to false. To set this field, a user needs &quot;delete&quot; permission of the owner, otherwise 422 (Unprocessable Entity) will be returned.</dd><dt class="property-optional"
            title="Optional">
        <span id="controller_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#controller_nodejs" style="color: inherit; text-decoration: inherit;">controller</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>If true, this reference points to the managing controller.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="api_version_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#api_version_python" style="color: inherit; text-decoration: inherit;">api_<wbr>version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>API version of the referent.</dd><dt class="property-required"
            title="Required">
        <span id="kind_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#kind_python" style="color: inherit; text-decoration: inherit;">kind</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds</dd><dt class="property-required"
            title="Required">
        <span id="name_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_python" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-required"
            title="Required">
        <span id="uid_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_python" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</dd><dt class="property-optional"
            title="Optional">
        <span id="block_owner_deletion_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#block_owner_deletion_python" style="color: inherit; text-decoration: inherit;">block_<wbr>owner_<wbr>deletion</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>If true, AND if the owner has the &quot;foregroundDeletion&quot; finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. See https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion for how the garbage collector interacts with this field and enforces the foreground deletion. Defaults to false. To set this field, a user needs &quot;delete&quot; permission of the owner, otherwise 422 (Unprocessable Entity) will be returned.</dd><dt class="property-optional"
            title="Optional">
        <span id="controller_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#controller_python" style="color: inherit; text-decoration: inherit;">controller</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>If true, this reference points to the managing controller.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="apiversion_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#apiversion_yaml" style="color: inherit; text-decoration: inherit;">api<wbr>Version</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>API version of the referent.</dd><dt class="property-required"
            title="Required">
        <span id="kind_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#kind_yaml" style="color: inherit; text-decoration: inherit;">kind</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds</dd><dt class="property-required"
            title="Required">
        <span id="name_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#name_yaml" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names</dd><dt class="property-required"
            title="Required">
        <span id="uid_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#uid_yaml" style="color: inherit; text-decoration: inherit;">uid</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids</dd><dt class="property-optional"
            title="Optional">
        <span id="blockownerdeletion_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#blockownerdeletion_yaml" style="color: inherit; text-decoration: inherit;">block<wbr>Owner<wbr>Deletion</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd>If true, AND if the owner has the &quot;foregroundDeletion&quot; finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. See https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion for how the garbage collector interacts with this field and enforces the foreground deletion. Defaults to false. To set this field, a user needs &quot;delete&quot; permission of the owner, otherwise 422 (Unprocessable Entity) will be returned.</dd><dt class="property-optional"
            title="Optional">
        <span id="controller_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#controller_yaml" style="color: inherit; text-decoration: inherit;">controller</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd>If true, this reference points to the managing controller.</dd></dl>
</pulumi-choosable>
</div>


<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href="https://github.com/pulumi/pulumi-kubernetes">Kubernetes pulumi/pulumi-kubernetes</a></dd>
	<dt>License</dt>
	<dd>Apache-2.0</dd>
</dl>

