
---
title: "ConfigGroup"
title_tag: "kubernetes.yaml.ConfigGroup"
meta_desc: "Documentation for the kubernetes.yaml.ConfigGroup resource with examples, input properties, output properties, lookup functions, and supporting types."
layout: api
no_edit_this_page: true
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->

An overlay component resource.




## Create ConfigGroup Resource {#create}

Resources are created with functions called constructors. To learn more about declaring and configuring resources, see [Resources](/docs/concepts/resources/).

### Constructor syntax
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="javascript,typescript">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript"><span class="k">new </span><span class="nx">ConfigGroup</span><span class="p">(</span><span class="nx">name</span><span class="p">:</span> <span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p">?:</span> <span class="nx"><a href="#inputs">ConfigGroupOpts</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#ComponentResourceOptions">ComponentResourceOptions</a></span><span class="p">);</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ConfigGroup</span><span class="p">(</span><span class="nx">file</span><span class="p">,</span>
                <span class="nx">opts</span>=None<span class="p">,</span>
                <span class="nx">transformations</span>=None<span class="p">,</span>
                <span class="nx">resource_prefix</span>=None<span class="p">)</span>
<span></span>
<span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ConfigGroup</span><span class="p">(</span><span class="nx">file</span><span class="p">,</span>
                <span class="nx">opts</span>=None<span class="p">,</span>
                <span class="nx">transformations</span>=None<span class="p">,</span>
                <span class="nx">resource_prefix</span>=None<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func </span><span class="nx">NewConfigGroup</span><span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">name</span><span class="p"> </span><span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p"> *</span><span class="nx"><a href="#inputs">ConfigGroupArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span><span class="p">) (*<span class="nx">ConfigGroup</span>, error)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span><span class="nx">ConfigGroup</span><span class="p">(</span><span class="nx">string</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ConfigGroupArgs</a></span><span class="p">? </span><span class="nx">args = null<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.ComponentResourceOptions.html">ComponentResourceOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<div class="no-copy"><div class="highlight"><pre class="chroma">
<code class="language-java" data-lang="java"><span class="k">public </span><span class="nx">ConfigGroup</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ConfigGroupArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">)</span>
<span class="k">public </span><span class="nx">ConfigGroup</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ConfigGroupArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx">ComponentResourceOptions</span><span class="p"> </span><span class="nx">options<span class="p">)</span>
</code></pre></div></div>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-yaml" data-lang="yaml">type: <span class="nx">kubernetes:yaml:ConfigGroup</span><span class="p"></span>
<span class="p">properties</span><span class="p">: </span><span class="c">#&nbsp;The arguments to resource properties.</span>
<span class="p"></span><span class="p">options</span><span class="p">: </span><span class="c">#&nbsp;Bag of options to control resource&#39;s behavior.</span>
<span class="p"></span>
</code></pre></div></div>
</pulumi-choosable>
</div>

#### Parameters

<div>
<pulumi-choosable type="language" values="javascript,typescript">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigGroupOpts</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#ComponentResourceOptions">ComponentResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>file</span>
        <span class="property-indicator"></span>
        <span class="property-type"></span>
    </dt>
    <dd></dd><dt
        class="property-required" title="Required">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"></span>
    </dt>
    <dd></dd><dt
        class="property-required" title="Required">
        <span>transformations</span>
        <span class="property-indicator"></span>
        <span class="property-type"></span>
    </dt>
    <dd></dd><dt
        class="property-required" title="Required">
        <span>resource_prefix</span>
        <span class="property-indicator"></span>
        <span class="property-type"></span>
    </dt>
    <dd></dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">

<dl class="resources-properties"><dt
        class="property-optional" title="Optional">
        <span>ctx</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span>
    </dt>
    <dd>Context object for the current deployment.</dd><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigGroupArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigGroupArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.ComponentResourceOptions.html">ComponentResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ConfigGroupArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>options</span>
        <span class="property-indicator"></span>
        <span class="property-type">ComponentResourceOptions</span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>



### Example

The following reference example uses placeholder values for all [input properties](#inputs).
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="csharp">

```csharp
var kubernetesConfigGroupResource = new Kubernetes.Yaml.ConfigGroup("kubernetesConfigGroupResource", new()
{
    Files = "string",
    Objs = null,
    ResourcePrefix = "string",
    Transformations = new[]
    {
        "any",
    },
    Yaml = "string",
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="go">

```go
example, err := yaml.NewConfigGroup(ctx, "kubernetesConfigGroupResource", &yaml.ConfigGroupArgs{
Files: pulumi.Any("string"),
Objs: nil,
ResourcePrefix: pulumi.String("string"),
Transformations: pulumi.Array{
pulumi.Any("any"),
},
Yaml: pulumi.Any("string"),
})
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="java">

```java
var kubernetesConfigGroupResource = new ConfigGroup("kubernetesConfigGroupResource", ConfigGroupArgs.builder()        
    .files("string")
    .objs(null)
    .resourcePrefix("string")
    .transformations("any")
    .yaml("string")
    .build());
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="python">

```python
kubernetes_config_group_resource = kubernetes.yaml.ConfigGroup("kubernetesConfigGroupResource",
    files="string",
    objs=None,
    resource_prefix="string",
    transformations=["any"],
    yaml="string")
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="typescript">

```typescript
const kubernetesConfigGroupResource = new kubernetes.yaml.ConfigGroup("kubernetesConfigGroupResource", {
    files: "string",
    objs: undefined,
    resourcePrefix: "string",
    transformations: ["any"],
    yaml: "string",
});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="yaml">

```yaml
type: kubernetes:yaml:ConfigGroup
properties:
    files: string
    objs: null
    resourcePrefix: string
    transformations:
        - any
    yaml: string
```

</pulumi-choosable>
</div>



## ConfigGroup Resource Properties {#properties}

To learn more about resource properties and how to use them, see [Inputs and Outputs](/docs/intro/concepts/inputs-outputs) in the Architecture and Concepts docs.

### Inputs

The ConfigGroup resource accepts the following [input](/docs/intro/concepts/inputs-outputs) properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="files_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#files_csharp" style="color: inherit; text-decoration: inherit;">Files</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string | List&lt;string&gt;</span>
    </dt>
    <dd>Set of paths or a URLs that uniquely identify files.</dd><dt class="property-optional"
            title="Optional">
        <span id="objs_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#objs_csharp" style="color: inherit; text-decoration: inherit;">Objs</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">object | List&lt;object&gt;</span>
    </dt>
    <dd>Objects representing Kubernetes resources.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceprefix_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceprefix_csharp" style="color: inherit; text-decoration: inherit;">Resource<wbr>Prefix</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>An optional prefix for the auto-generated resource names. Example: A resource created with resourcePrefix=&quot;foo&quot; would produce a resource named &quot;foo-resourceName&quot;.</dd><dt class="property-optional"
            title="Optional">
        <span id="transformations_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#transformations_csharp" style="color: inherit; text-decoration: inherit;">Transformations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;object&gt;</span>
    </dt>
    <dd>A set of transformations to apply to Kubernetes resource definitions before registering with engine.</dd><dt class="property-optional"
            title="Optional">
        <span id="yaml_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#yaml_csharp" style="color: inherit; text-decoration: inherit;">Yaml</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string | List&lt;string&gt;</span>
    </dt>
    <dd>YAML text containing Kubernetes resource definitions.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="files_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#files_go" style="color: inherit; text-decoration: inherit;">Files</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string | []string</span>
    </dt>
    <dd>Set of paths or a URLs that uniquely identify files.</dd><dt class="property-optional"
            title="Optional">
        <span id="objs_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#objs_go" style="color: inherit; text-decoration: inherit;">Objs</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">interface{} | []interface{}</span>
    </dt>
    <dd>Objects representing Kubernetes resources.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceprefix_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceprefix_go" style="color: inherit; text-decoration: inherit;">Resource<wbr>Prefix</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>An optional prefix for the auto-generated resource names. Example: A resource created with resourcePrefix=&quot;foo&quot; would produce a resource named &quot;foo-resourceName&quot;.</dd><dt class="property-optional"
            title="Optional">
        <span id="transformations_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#transformations_go" style="color: inherit; text-decoration: inherit;">Transformations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">[]interface{}</span>
    </dt>
    <dd>A set of transformations to apply to Kubernetes resource definitions before registering with engine.</dd><dt class="property-optional"
            title="Optional">
        <span id="yaml_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#yaml_go" style="color: inherit; text-decoration: inherit;">Yaml</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string | []string</span>
    </dt>
    <dd>YAML text containing Kubernetes resource definitions.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="files_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#files_java" style="color: inherit; text-decoration: inherit;">files</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String | List&lt;String&gt;</span>
    </dt>
    <dd>Set of paths or a URLs that uniquely identify files.</dd><dt class="property-optional"
            title="Optional">
        <span id="objs_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#objs_java" style="color: inherit; text-decoration: inherit;">objs</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Object | List&lt;Object&gt;</span>
    </dt>
    <dd>Objects representing Kubernetes resources.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceprefix_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceprefix_java" style="color: inherit; text-decoration: inherit;">resource<wbr>Prefix</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>An optional prefix for the auto-generated resource names. Example: A resource created with resourcePrefix=&quot;foo&quot; would produce a resource named &quot;foo-resourceName&quot;.</dd><dt class="property-optional"
            title="Optional">
        <span id="transformations_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#transformations_java" style="color: inherit; text-decoration: inherit;">transformations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;Object&gt;</span>
    </dt>
    <dd>A set of transformations to apply to Kubernetes resource definitions before registering with engine.</dd><dt class="property-optional"
            title="Optional">
        <span id="yaml_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#yaml_java" style="color: inherit; text-decoration: inherit;">yaml</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String | List&lt;String&gt;</span>
    </dt>
    <dd>YAML text containing Kubernetes resource definitions.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="files_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#files_nodejs" style="color: inherit; text-decoration: inherit;">files</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string | string[]</span>
    </dt>
    <dd>Set of paths or a URLs that uniquely identify files.</dd><dt class="property-optional"
            title="Optional">
        <span id="objs_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#objs_nodejs" style="color: inherit; text-decoration: inherit;">objs</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">any | any[]</span>
    </dt>
    <dd>Objects representing Kubernetes resources.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceprefix_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceprefix_nodejs" style="color: inherit; text-decoration: inherit;">resource<wbr>Prefix</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>An optional prefix for the auto-generated resource names. Example: A resource created with resourcePrefix=&quot;foo&quot; would produce a resource named &quot;foo-resourceName&quot;.</dd><dt class="property-optional"
            title="Optional">
        <span id="transformations_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#transformations_nodejs" style="color: inherit; text-decoration: inherit;">transformations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">any[]</span>
    </dt>
    <dd>A set of transformations to apply to Kubernetes resource definitions before registering with engine.</dd><dt class="property-optional"
            title="Optional">
        <span id="yaml_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#yaml_nodejs" style="color: inherit; text-decoration: inherit;">yaml</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string | string[]</span>
    </dt>
    <dd>YAML text containing Kubernetes resource definitions.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="files_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#files_python" style="color: inherit; text-decoration: inherit;">files</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str | Sequence[str]</span>
    </dt>
    <dd>Set of paths or a URLs that uniquely identify files.</dd><dt class="property-optional"
            title="Optional">
        <span id="objs_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#objs_python" style="color: inherit; text-decoration: inherit;">objs</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Any | Sequence[Any]</span>
    </dt>
    <dd>Objects representing Kubernetes resources.</dd><dt class="property-optional"
            title="Optional">
        <span id="resource_prefix_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resource_prefix_python" style="color: inherit; text-decoration: inherit;">resource_<wbr>prefix</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>An optional prefix for the auto-generated resource names. Example: A resource created with resourcePrefix=&quot;foo&quot; would produce a resource named &quot;foo-resourceName&quot;.</dd><dt class="property-optional"
            title="Optional">
        <span id="transformations_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#transformations_python" style="color: inherit; text-decoration: inherit;">transformations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Sequence[Any]</span>
    </dt>
    <dd>A set of transformations to apply to Kubernetes resource definitions before registering with engine.</dd><dt class="property-optional"
            title="Optional">
        <span id="yaml_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#yaml_python" style="color: inherit; text-decoration: inherit;">yaml</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str | Sequence[str]</span>
    </dt>
    <dd>YAML text containing Kubernetes resource definitions.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="files_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#files_yaml" style="color: inherit; text-decoration: inherit;">files</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String | List&lt;String&gt;</span>
    </dt>
    <dd>Set of paths or a URLs that uniquely identify files.</dd><dt class="property-optional"
            title="Optional">
        <span id="objs_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#objs_yaml" style="color: inherit; text-decoration: inherit;">objs</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Any | List&lt;Any&gt;</span>
    </dt>
    <dd>Objects representing Kubernetes resources.</dd><dt class="property-optional"
            title="Optional">
        <span id="resourceprefix_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resourceprefix_yaml" style="color: inherit; text-decoration: inherit;">resource<wbr>Prefix</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>An optional prefix for the auto-generated resource names. Example: A resource created with resourcePrefix=&quot;foo&quot; would produce a resource named &quot;foo-resourceName&quot;.</dd><dt class="property-optional"
            title="Optional">
        <span id="transformations_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#transformations_yaml" style="color: inherit; text-decoration: inherit;">transformations</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">List&lt;Any&gt;</span>
    </dt>
    <dd>A set of transformations to apply to Kubernetes resource definitions before registering with engine.</dd><dt class="property-optional"
            title="Optional">
        <span id="yaml_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#yaml_yaml" style="color: inherit; text-decoration: inherit;">yaml</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String | List&lt;String&gt;</span>
    </dt>
    <dd>YAML text containing Kubernetes resource definitions.</dd></dl>
</pulumi-choosable>
</div>


### Outputs

All [input](#inputs) properties are implicitly available as output properties. Additionally, the ConfigGroup resource produces the following output properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="resources_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resources_csharp" style="color: inherit; text-decoration: inherit;">Resources</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Resources created by the ConfigGroup.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="resources_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resources_go" style="color: inherit; text-decoration: inherit;">Resources</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Resources created by the ConfigGroup.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="resources_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resources_java" style="color: inherit; text-decoration: inherit;">resources</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Resources created by the ConfigGroup.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="resources_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resources_nodejs" style="color: inherit; text-decoration: inherit;">resources</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>Resources created by the ConfigGroup.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="resources_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resources_python" style="color: inherit; text-decoration: inherit;">resources</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>Resources created by the ConfigGroup.</dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="resources_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#resources_yaml" style="color: inherit; text-decoration: inherit;">resources</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>Resources created by the ConfigGroup.</dd></dl>
</pulumi-choosable>
</div>








<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href="https://github.com/pulumi/pulumi-kubernetes">Kubernetes pulumi/pulumi-kubernetes</a></dd>
	<dt>License</dt>
	<dd>Apache-2.0</dd>
</dl>

