
---
title: "ToyStore"
title_tag: "example.ToyStore"
meta_desc: "Documentation for the example.ToyStore resource with examples, input properties, output properties, lookup functions, and supporting types."
layout: api
no_edit_this_page: true
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->




## Create ToyStore Resource {#create}

Resources are created with functions called constructors. To learn more about declaring and configuring resources, see [Resources](/docs/concepts/resources/).

### Constructor syntax
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="javascript,typescript">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript"><span class="k">new </span><span class="nx">ToyStore</span><span class="p">(</span><span class="nx">name</span><span class="p">:</span> <span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p">?:</span> <span class="nx"><a href="#inputs">ToyStoreArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span><span class="p">);</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ToyStore</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
             <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">Optional[ToyStoreArgs]</a></span> = None<span class="p">,</span>
             <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span>
<span></span>
<span class=nd>@overload</span>
<span class="k">def </span><span class="nx">ToyStore</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
             <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func </span><span class="nx">NewToyStore</span><span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">name</span><span class="p"> </span><span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p"> *</span><span class="nx"><a href="#inputs">ToyStoreArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span><span class="p">) (*<span class="nx">ToyStore</span>, error)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span><span class="nx">ToyStore</span><span class="p">(</span><span class="nx">string</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ToyStoreArgs</a></span><span class="p">? </span><span class="nx">args = null<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span></code></pre></div>
</div></pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<div class="no-copy"><div class="highlight"><pre class="chroma">
<code class="language-java" data-lang="java"><span class="k">public </span><span class="nx">ToyStore</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ToyStoreArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">)</span>
<span class="k">public </span><span class="nx">ToyStore</span><span class="p">(</span><span class="nx">String</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">ToyStoreArgs</a></span><span class="p"> </span><span class="nx">args<span class="p">,</span> <span class="nx">CustomResourceOptions</span><span class="p"> </span><span class="nx">options<span class="p">)</span>
</code></pre></div></div>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<div class="no-copy"><div class="highlight"><pre class="chroma"><code class="language-yaml" data-lang="yaml">type: <span class="nx">example:ToyStore</span><span class="p"></span>
<span class="p">properties</span><span class="p">: </span><span class="c">#&nbsp;The arguments to resource properties.</span>
<span class="p"></span><span class="p">options</span><span class="p">: </span><span class="c">#&nbsp;Bag of options to control resource&#39;s behavior.</span>
<span class="p"></span>
</code></pre></div></div>
</pulumi-choosable>
</div>

#### Parameters

<div>
<pulumi-choosable type="language" values="javascript,typescript">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ToyStoreArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>resource_name</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ToyStoreArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">ResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">

<dl class="resources-properties"><dt
        class="property-optional" title="Optional">
        <span>ctx</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span>
    </dt>
    <dd>Context object for the current deployment.</dd><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ToyStoreArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="csharp">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ToyStoreArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-required" title="Required">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">ToyStoreArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>options</span>
        <span class="property-indicator"></span>
        <span class="property-type">CustomResourceOptions</span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

</pulumi-choosable>
</div>



### Example

The following reference example uses placeholder values for all [input properties](#inputs).
<div>
<pulumi-chooser type="language" options="typescript,python,go,csharp,java,yaml"></pulumi-chooser>
</div>


<div>
<pulumi-choosable type="language" values="csharp">

```csharp
var toyStoreResource = new Example.ToyStore("toyStoreResource");
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="go">

```go
example, err := example.NewToyStore(ctx, "toyStoreResource", nil)
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="java">

```java
var toyStoreResource = new ToyStore("toyStoreResource");
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="python">

```python
toy_store_resource = example.ToyStore("toyStoreResource")
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="typescript">

```typescript
const toyStoreResource = new example.ToyStore("toyStoreResource", {});
```

</pulumi-choosable>
</div>


<div>
<pulumi-choosable type="language" values="yaml">

```yaml
type: example:ToyStore
properties: {}
```

</pulumi-choosable>
</div>



## ToyStore Resource Properties {#properties}

To learn more about resource properties and how to use them, see [Inputs and Outputs](/docs/intro/concepts/inputs-outputs) in the Architecture and Concepts docs.

### Inputs

The ToyStore resource accepts the following [input](/docs/intro/concepts/inputs-outputs) properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"></dl>
</pulumi-choosable>
</div>


### Outputs

All [input](#inputs) properties are implicitly available as output properties. Additionally, the ToyStore resource produces the following output properties:



<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_csharp" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="chew_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#chew_csharp" style="color: inherit; text-decoration: inherit;">Chew</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#chew">Chew</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="laser_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#laser_csharp" style="color: inherit; text-decoration: inherit;">Laser</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#laser">Laser</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="stuff_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#stuff_csharp" style="color: inherit; text-decoration: inherit;">Stuff</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">List&lt;Toy&gt;</a></span>
    </dt>
    <dd></dd><dt class="property- property-replacement"
            title="">
        <span id="wanted_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wanted_csharp" style="color: inherit; text-decoration: inherit;">Wanted</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">List&lt;Toy&gt;</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_go" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="chew_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#chew_go" style="color: inherit; text-decoration: inherit;">Chew</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#chew">Chew</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="laser_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#laser_go" style="color: inherit; text-decoration: inherit;">Laser</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#laser">Laser</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="stuff_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#stuff_go" style="color: inherit; text-decoration: inherit;">Stuff</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">[]Toy</a></span>
    </dt>
    <dd></dd><dt class="property- property-replacement"
            title="">
        <span id="wanted_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wanted_go" style="color: inherit; text-decoration: inherit;">Wanted</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">[]Toy</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_java" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="chew_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#chew_java" style="color: inherit; text-decoration: inherit;">chew</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#chew">Chew</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="laser_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#laser_java" style="color: inherit; text-decoration: inherit;">laser</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#laser">Laser</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="stuff_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#stuff_java" style="color: inherit; text-decoration: inherit;">stuff</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">List&lt;Toy&gt;</a></span>
    </dt>
    <dd></dd><dt class="property- property-replacement"
            title="">
        <span id="wanted_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wanted_java" style="color: inherit; text-decoration: inherit;">wanted</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">List&lt;Toy&gt;</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_nodejs" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="chew_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#chew_nodejs" style="color: inherit; text-decoration: inherit;">chew</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#chew">Chew</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="laser_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#laser_nodejs" style="color: inherit; text-decoration: inherit;">laser</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#laser">Laser</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="stuff_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#stuff_nodejs" style="color: inherit; text-decoration: inherit;">stuff</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy[]</a></span>
    </dt>
    <dd></dd><dt class="property- property-replacement"
            title="">
        <span id="wanted_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wanted_nodejs" style="color: inherit; text-decoration: inherit;">wanted</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy[]</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_python" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="chew_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#chew_python" style="color: inherit; text-decoration: inherit;">chew</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#chew">Chew</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="laser_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#laser_python" style="color: inherit; text-decoration: inherit;">laser</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#laser">Laser</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="stuff_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#stuff_python" style="color: inherit; text-decoration: inherit;">stuff</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Sequence[Toy]</a></span>
    </dt>
    <dd></dd><dt class="property- property-replacement"
            title="">
        <span id="wanted_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wanted_python" style="color: inherit; text-decoration: inherit;">wanted</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Sequence[Toy]</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#id_yaml" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd>The provider-assigned unique ID for this managed resource.</dd><dt class="property-"
            title="">
        <span id="chew_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#chew_yaml" style="color: inherit; text-decoration: inherit;">chew</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#chew">Property Map</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="laser_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#laser_yaml" style="color: inherit; text-decoration: inherit;">laser</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#laser">Property Map</a></span>
    </dt>
    <dd></dd><dt class="property-"
            title="">
        <span id="stuff_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#stuff_yaml" style="color: inherit; text-decoration: inherit;">stuff</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">List&lt;Property Map&gt;</a></span>
    </dt>
    <dd></dd><dt class="property- property-replacement"
            title="">
        <span id="wanted_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wanted_yaml" style="color: inherit; text-decoration: inherit;">wanted</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">List&lt;Property Map&gt;</a></span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>







## Supporting Types



<h4 id="chew">
Chew<pulumi-choosable type="language" values="python,go" class="inline">, Chew<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional property-replacement"
            title="Optional">
        <span id="owner_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_csharp" style="color: inherit; text-decoration: inherit;">Owner</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Example.<wbr>Dog</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional property-replacement"
            title="Optional">
        <span id="owner_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_go" style="color: inherit; text-decoration: inherit;">Owner</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dog</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional property-replacement"
            title="Optional">
        <span id="owner_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_java" style="color: inherit; text-decoration: inherit;">owner</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dog</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional property-replacement"
            title="Optional">
        <span id="owner_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_nodejs" style="color: inherit; text-decoration: inherit;">owner</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dog</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional property-replacement"
            title="Optional">
        <span id="owner_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_python" style="color: inherit; text-decoration: inherit;">owner</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Dog</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional property-replacement"
            title="Optional">
        <span id="owner_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#owner_yaml" style="color: inherit; text-decoration: inherit;">owner</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">example:Dog</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<h4 id="laser">
Laser<pulumi-choosable type="language" values="python,go" class="inline">, Laser<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="animal_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#animal_csharp" style="color: inherit; text-decoration: inherit;">Animal</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Example.<wbr>Cat</span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="batteries_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#batteries_csharp" style="color: inherit; text-decoration: inherit;">Batteries</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="light_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#light_csharp" style="color: inherit; text-decoration: inherit;">Light</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">double</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="animal_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#animal_go" style="color: inherit; text-decoration: inherit;">Animal</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Cat</span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="batteries_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#batteries_go" style="color: inherit; text-decoration: inherit;">Batteries</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="light_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#light_go" style="color: inherit; text-decoration: inherit;">Light</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">float64</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="animal_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#animal_java" style="color: inherit; text-decoration: inherit;">animal</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Cat</span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="batteries_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#batteries_java" style="color: inherit; text-decoration: inherit;">batteries</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="light_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#light_java" style="color: inherit; text-decoration: inherit;">light</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Double</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="animal_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#animal_nodejs" style="color: inherit; text-decoration: inherit;">animal</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Cat</span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="batteries_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#batteries_nodejs" style="color: inherit; text-decoration: inherit;">batteries</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="light_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#light_nodejs" style="color: inherit; text-decoration: inherit;">light</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="animal_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#animal_python" style="color: inherit; text-decoration: inherit;">animal</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Cat</span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="batteries_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#batteries_python" style="color: inherit; text-decoration: inherit;">batteries</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="light_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#light_python" style="color: inherit; text-decoration: inherit;">light</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">float</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="animal_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#animal_yaml" style="color: inherit; text-decoration: inherit;">animal</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">example:Cat</span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="batteries_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#batteries_yaml" style="color: inherit; text-decoration: inherit;">batteries</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Boolean</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="light_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#light_yaml" style="color: inherit; text-decoration: inherit;">light</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<h4 id="toy">
Toy<pulumi-choosable type="language" values="python,go" class="inline">, Toy<wbr>Args</pulumi-choosable>
</h4>

<div>
<pulumi-choosable type="language" values="csharp">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="associated_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#associated_csharp" style="color: inherit; text-decoration: inherit;">Associated</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy</a></span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="color_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#color_csharp" style="color: inherit; text-decoration: inherit;">Color</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="wear_csharp">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wear_csharp" style="color: inherit; text-decoration: inherit;">Wear</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">double</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="go">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="associated_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#associated_go" style="color: inherit; text-decoration: inherit;">Associated</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy</a></span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="color_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#color_go" style="color: inherit; text-decoration: inherit;">Color</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="wear_go">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wear_go" style="color: inherit; text-decoration: inherit;">Wear</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">float64</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="java">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="associated_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#associated_java" style="color: inherit; text-decoration: inherit;">associated</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy</a></span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="color_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#color_java" style="color: inherit; text-decoration: inherit;">color</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="wear_java">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wear_java" style="color: inherit; text-decoration: inherit;">wear</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Double</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="javascript,typescript">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="associated_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#associated_nodejs" style="color: inherit; text-decoration: inherit;">associated</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy</a></span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="color_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#color_nodejs" style="color: inherit; text-decoration: inherit;">color</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="wear_nodejs">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wear_nodejs" style="color: inherit; text-decoration: inherit;">wear</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">number</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="python">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="associated_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#associated_python" style="color: inherit; text-decoration: inherit;">associated</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Toy</a></span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="color_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#color_python" style="color: inherit; text-decoration: inherit;">color</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="wear_python">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wear_python" style="color: inherit; text-decoration: inherit;">wear</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">float</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>

<div>
<pulumi-choosable type="language" values="yaml">
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="associated_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#associated_yaml" style="color: inherit; text-decoration: inherit;">associated</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#toy">Property Map</a></span>
    </dt>
    <dd></dd><dt class="property-optional property-replacement"
            title="Optional">
        <span id="color_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#color_yaml" style="color: inherit; text-decoration: inherit;">color</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">String</span>
    </dt>
    <dd></dd><dt class="property-optional"
            title="Optional">
        <span id="wear_yaml">
<a data-swiftype-name="resource-property" data-swiftype-type="text" href="#wear_yaml" style="color: inherit; text-decoration: inherit;">wear</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Number</span>
    </dt>
    <dd></dd></dl>
</pulumi-choosable>
</div>


<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href="">example </a></dd>
	<dt>License</dt>
	<dd></dd>
</dl>

