// *** WARNING: this file was generated by test. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Credentials
{
    [CredentialsResourceType("pulumi:providers:credentials")]
    public partial class Provider : global::Pulumi.ProviderResource
    {
        /// <summary>
        /// The password. It is very secret.
        /// </summary>
        [Output("password")]
        public Output<string?> Password { get; private set; } = null!;

        /// <summary>
        /// The username. Its important but not secret.
        /// </summary>
        [Output("user")]
        public Output<string> User { get; private set; } = null!;


        /// <summary>
        /// Create a Provider resource with the given unique name, arguments, and options.
        /// </summary>
        ///
        /// <param name="name">The unique name of the resource</param>
        /// <param name="args">The arguments used to populate this resource's properties</param>
        /// <param name="options">A bag of options that control this resource's behavior</param>
        public Provider(string name, ProviderArgs args, CustomResourceOptions? options = null)
            : base("credentials", name, args ?? new ProviderArgs(), MakeResourceOptions(options, ""))
        {
        }

        private static CustomResourceOptions MakeResourceOptions(CustomResourceOptions? options, Input<string>? id)
        {
            var defaultOptions = new CustomResourceOptions
            {
                Version = Utilities.Version,
                AdditionalSecretOutputs =
                {
                    "password",
                },
            };
            var merged = CustomResourceOptions.Merge(defaultOptions, options);
            // Override the ID if one was specified for consistency with other language SDKs.
            merged.Id = id ?? merged.Id;
            return merged;
        }
    }

    public sealed class ProviderArgs : global::Pulumi.ResourceArgs
    {
        /// <summary>
        /// The (entirely uncryptographic) hash function used to encode the "password".
        /// </summary>
        [Input("hash", required: true, json: true)]
        public Input<Pulumi.Credentials.HashKind> Hash { get; set; } = null!;

        [Input("password")]
        private Input<string>? _password;

        /// <summary>
        /// The password. It is very secret.
        /// </summary>
        public Input<string>? Password
        {
            get => _password;
            set
            {
                var emptySecret = Output.CreateSecret(0);
                _password = Output.Tuple<Input<string>?, int>(value, emptySecret).Apply(t => t.Item1);
            }
        }

        [Input("shared", required: true, json: true)]
        public Input<Inputs.SharedArgs> Shared { get; set; } = null!;

        /// <summary>
        /// The username. Its important but not secret.
        /// </summary>
        [Input("user", required: true)]
        public Input<string> User { get; set; } = null!;

        public ProviderArgs()
        {
            Password = Utilities.GetEnv("FOO") ?? "";
        }
        public static new ProviderArgs Empty => new ProviderArgs();
    }
}
