# coding=utf-8
# *** WARNING: this file was generated by test. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import copy
import warnings
import pulumi
import pulumi.runtime
from typing import Any, Mapping, Optional, Sequence, Union, overload
from . import _utilities
from ._enums import *
from ._inputs import *

__all__ = ['ProviderArgs', 'Provider']

@pulumi.input_type
class ProviderArgs:
    def __init__(__self__, *,
                 hash: pulumi.Input['HashKind'],
                 shared: pulumi.Input['SharedArgs'],
                 user: pulumi.Input[str],
                 password: Optional[pulumi.Input[str]] = None):
        """
        The set of arguments for constructing a Provider resource.
        :param pulumi.Input['HashKind'] hash: The (entirely uncryptographic) hash function used to encode the "password".
        :param pulumi.Input[str] user: The username. Its important but not secret.
        :param pulumi.Input[str] password: The password. It is very secret.
        """
        pulumi.set(__self__, "hash", hash)
        pulumi.set(__self__, "shared", shared)
        pulumi.set(__self__, "user", user)
        if password is None:
            password = (_utilities.get_env('FOO') or '')
        if password is not None:
            pulumi.set(__self__, "password", password)

    @property
    @pulumi.getter
    def hash(self) -> pulumi.Input['HashKind']:
        """
        The (entirely uncryptographic) hash function used to encode the "password".
        """
        return pulumi.get(self, "hash")

    @hash.setter
    def hash(self, value: pulumi.Input['HashKind']):
        pulumi.set(self, "hash", value)

    @property
    @pulumi.getter
    def shared(self) -> pulumi.Input['SharedArgs']:
        return pulumi.get(self, "shared")

    @shared.setter
    def shared(self, value: pulumi.Input['SharedArgs']):
        pulumi.set(self, "shared", value)

    @property
    @pulumi.getter
    def user(self) -> pulumi.Input[str]:
        """
        The username. Its important but not secret.
        """
        return pulumi.get(self, "user")

    @user.setter
    def user(self, value: pulumi.Input[str]):
        pulumi.set(self, "user", value)

    @property
    @pulumi.getter
    def password(self) -> Optional[pulumi.Input[str]]:
        """
        The password. It is very secret.
        """
        return pulumi.get(self, "password")

    @password.setter
    def password(self, value: Optional[pulumi.Input[str]]):
        pulumi.set(self, "password", value)


class Provider(pulumi.ProviderResource):
    @overload
    def __init__(__self__,
                 resource_name: str,
                 opts: Optional[pulumi.ResourceOptions] = None,
                 hash: Optional[pulumi.Input['HashKind']] = None,
                 password: Optional[pulumi.Input[str]] = None,
                 shared: Optional[pulumi.Input[pulumi.InputType['SharedArgs']]] = None,
                 user: Optional[pulumi.Input[str]] = None,
                 __props__=None):
        """
        Create a Credentials resource with the given unique name, props, and options.
        :param str resource_name: The name of the resource.
        :param pulumi.ResourceOptions opts: Options for the resource.
        :param pulumi.Input['HashKind'] hash: The (entirely uncryptographic) hash function used to encode the "password".
        :param pulumi.Input[str] password: The password. It is very secret.
        :param pulumi.Input[str] user: The username. Its important but not secret.
        """
        ...
    @overload
    def __init__(__self__,
                 resource_name: str,
                 args: ProviderArgs,
                 opts: Optional[pulumi.ResourceOptions] = None):
        """
        Create a Credentials resource with the given unique name, props, and options.
        :param str resource_name: The name of the resource.
        :param ProviderArgs args: The arguments to use to populate this resource's properties.
        :param pulumi.ResourceOptions opts: Options for the resource.
        """
        ...
    def __init__(__self__, resource_name: str, *args, **kwargs):
        resource_args, opts = _utilities.get_resource_args_opts(ProviderArgs, pulumi.ResourceOptions, *args, **kwargs)
        if resource_args is not None:
            __self__._internal_init(resource_name, opts, **resource_args.__dict__)
        else:
            __self__._internal_init(resource_name, *args, **kwargs)

    def _internal_init(__self__,
                 resource_name: str,
                 opts: Optional[pulumi.ResourceOptions] = None,
                 hash: Optional[pulumi.Input['HashKind']] = None,
                 password: Optional[pulumi.Input[str]] = None,
                 shared: Optional[pulumi.Input[pulumi.InputType['SharedArgs']]] = None,
                 user: Optional[pulumi.Input[str]] = None,
                 __props__=None):
        opts = pulumi.ResourceOptions.merge(_utilities.get_resource_opts_defaults(), opts)
        if not isinstance(opts, pulumi.ResourceOptions):
            raise TypeError('Expected resource options to be a ResourceOptions instance')
        if opts.id is None:
            if __props__ is not None:
                raise TypeError('__props__ is only valid when passed in combination with a valid opts.id to get an existing resource')
            __props__ = ProviderArgs.__new__(ProviderArgs)

            if hash is None and not opts.urn:
                raise TypeError("Missing required property 'hash'")
            __props__.__dict__["hash"] = pulumi.Output.from_input(hash).apply(pulumi.runtime.to_json) if hash is not None else None
            if password is None:
                password = (_utilities.get_env('FOO') or '')
            __props__.__dict__["password"] = None if password is None else pulumi.Output.secret(password)
            if shared is None and not opts.urn:
                raise TypeError("Missing required property 'shared'")
            __props__.__dict__["shared"] = pulumi.Output.from_input(shared).apply(pulumi.runtime.to_json) if shared is not None else None
            if user is None and not opts.urn:
                raise TypeError("Missing required property 'user'")
            __props__.__dict__["user"] = user
        secret_opts = pulumi.ResourceOptions(additional_secret_outputs=["password"])
        opts = pulumi.ResourceOptions.merge(opts, secret_opts)
        super(Provider, __self__).__init__(
            'credentials',
            resource_name,
            __props__,
            opts)

    @property
    @pulumi.getter
    def password(self) -> pulumi.Output[Optional[str]]:
        """
        The password. It is very secret.
        """
        return pulumi.get(self, "password")

    @property
    @pulumi.getter
    def user(self) -> pulumi.Output[str]:
        """
        The username. Its important but not secret.
        """
        return pulumi.get(self, "user")

